# Snapshot report for `packages/mx/test/compiler/compile.test.js`

The actual snapshot is saved in `compile.test.js.snap`.

Generated by [AVA](https://ava.li).

## compile class name from tag

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function() {␊
      return React.createElement("div", {␊
        className: "class-name",␊
      }), React.createElement("article", { className: "title is-active" })␊
    }␊
    `

## compile conditions

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function({ foo }) {␊
      return foo == "bar"␊
        ? React.createElement("p", null, " Foo is bar")␊
        : React.createElement("p", null, " Nope")␊
    }␊
    `

## compile form tag

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function() {␊
      return React.createElement("form", null)␊
    }␊
    `

## compile html and components

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function({ value }) {␊
      return React.createElement(␊
        "body",␊
        null,␊
        React.createElement(Header, { title: "hello world" }),␊
        React.createElement(␊
          Content,␊
          null,␊
          React.createElement("section", { className: "container" }),␊
        ),␊
        React.createElement(Footer, { value: value }),␊
      )␊
    }␊
    `

## compile import statements

> Snapshot 1

    `import React from "react"␊
    import { one, two, three } from "four.js"␊
    import test from "test-pkg"␊
    import Constructor from "Module"␊
    ␊
    export default function() {␊
      return React.createElement(␊
        "body",␊
        null,␊
        React.createElement("header", { className: "header" }),␊
        React.createElement("footer", null),␊
      )␊
    }␊
    `

## compile interpolation

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function({ name }) {␊
      return React.createElement(␊
        "div",␊
        null,␊
        React.createElement("p", null, " Hello", ", ", name),␊
        [" My name is ", name],␊
      )␊
    }␊
    `

## compile loop

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function({ something }) {␊
      return something.map((name, index) =>␊
        React.createElement("input", { value: name }),␊
      )␊
    }␊
    `

## compile single tag

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function() {␊
      return React.createElement("div", null)␊
    }␊
    `

## compile text

> Snapshot 1

    `import React from "react"␊
    ␊
    export default function() {␊
      return React.createElement(␊
        "p",␊
        null,␊
        " hello world",␊
        "!",␊
      ), React.createElement("p", null, [␊
        "  here goes a long",␊
        "\\n",␊
        "  block of text",␊
        "\\n",␊
      ]), React.createElement("div", null, [" Also a text"])␊
    }␊
    `

## compile with name

> Snapshot 1

    `import React from "react"␊
    ␊
    const ComponentName = () => {␊
      return React.createElement("div", null)␊
    }␊
    ␊
    export default ComponentName␊
    `
