/* parser generated by jison 0.4.18-180 */

/*
 * Returns a Parser object of the following structure:
 *
 *  Parser: {
 *    yy: {}     The so-called "shared state" or rather the *source* of it;
 *               the real "shared state" `yy` passed around to
 *               the rule actions, etc. is a derivative/copy of this one,
 *               not a direct reference!
 *  }
 *
 *  Parser.prototype: {
 *    yy: {},
 *    EOF: 1,
 *    TERROR: 2,
 *
 *    trace: function(errorMessage, ...),
 *
 *    JisonParserError: function(msg, hash),
 *
 *    quoteName: function(name),
 *               Helper function which can be overridden by user code later on: put suitable
 *               quotes around literal IDs in a description string.
 *
 *    originalQuoteName: function(name),
 *               The basic quoteName handler provided by JISON.
 *               `cleanupAfterParse()` will clean up and reset `quoteName()` to reference this function
 *               at the end of the `parse()`.
 *
 *    describeSymbol: function(symbol),
 *               Return a more-or-less human-readable description of the given symbol, when
 *               available, or the symbol itself, serving as its own 'description' for lack
 *               of something better to serve up.
 *
 *               Return NULL when the symbol is unknown to the parser.
 *
 *    symbols_: {associative list: name ==> number},
 *    terminals_: {associative list: number ==> name},
 *    nonterminals: {associative list: rule-name ==> {associative list: number ==> rule-alt}},
 *    terminal_descriptions_: (if there are any) {associative list: number ==> description},
 *    productions_: [...],
 *
 *    performAction: function parser__performAction(yytext, yyleng, yylineno, yyloc, yystate, yysp, yyvstack, yylstack, yystack, yysstack, ...),
 *               where `...` denotes the (optional) additional arguments the user passed to
 *               `parser.parse(str, ...)` and specified by way of `%parse-param ...` in the grammar file
 *
 *               The function parameters and `this` have the following value/meaning:
 *               - `this`    : reference to the `yyval` internal object, which has members (`$` and `_$`)
 *                             to store/reference the rule value `$$` and location info `@$`.
 *
 *                 One important thing to note about `this` a.k.a. `yyval`: every *reduce* action gets
 *                 to see the same object via the `this` reference, i.e. if you wish to carry custom
 *                 data from one reduce action through to the next within a single parse run, then you
 *                 may get nasty and use `yyval` a.k.a. `this` for storing you own semi-permanent data.
 *
 *               - `yytext`  : reference to the lexer value which belongs to the last lexer token used
 *                             to match this rule. This is *not* the look-ahead token, but the last token
 *                             that's actually part of this rule.
 *
 *                 Formulated another way, `yytext` is the value of the token immediately preceeding
 *                 the current look-ahead token.
 *                 Caveats apply for rules which don't require look-ahead, such as epsilon rules.
 *
 *               - `yyleng`  : ditto as `yytext`, only now for the lexer.yyleng value.
 *
 *               - `yylineno`: ditto as `yytext`, only now for the lexer.yylineno value.
 *
 *               - `yyloc`   : ditto as `yytext`, only now for the lexer.yylloc lexer token location info.
 *
 *               - `yystate` : the current parser state number, used internally for dispatching and
 *                             executing the action code chunk matching the rule currently being reduced.
 *
 *               - `yysp`    : the current state stack position (a.k.a. 'stack pointer')
 *
 *                 This one comes in handy when you are going to do advanced things to the parser
 *                 stacks, all of which are accessible from your action code (see the next entries below).
 *
 *                 Also note that you can access this and other stack index values using the new double-hash
 *                 syntax, i.e. `##$ === ##0 === yysp`, while `##1` is the stack index for all things
 *                 related to the first rule term, just like you have `$1`, `@1` and `#1`.
 *                 This is made available to write very advanced grammar action rules, e.g. when you want
 *                 to investigate the parse state stack in your action code, which would, for example,
 *                 be relevant when you wish to implement error diagnostics and reporting schemes similar
 *                 to the work described here:
 *
 *                 + Pottier, F., 2016. Reachability and error diagnosis in LR(1) automata.
 *                   In Journées Francophones des Languages Applicatifs.
 *
 *                 + Jeffery, C.L., 2003. Generating LR syntax error messages from examples.
 *                   ACM Transactions on Programming Languages and Systems (TOPLAS), 25(5), pp.631–640.
 *
 *               - `yyvstack`: reference to the parser value stack. Also accessed via the `$1` etc.
 *                             constructs.
 *
 *               - `yylstack`: reference to the parser token location stack. Also accessed via
 *                             the `@1` etc. constructs.
 *
 *               - `yystack` : reference to the parser token id stack. Also accessed via the
 *                             `#1` etc. constructs.
 *
 *                 Note: this is a bit of a **white lie** as we can statically decode any `#n` reference to
 *                 its numeric token id value, hence that code wouldn't need the `yystack` but *you* might
 *                 want access for your own purposes, such as error analysis as mentioned above!
 *
 *                 Note that this stack stores the current stack of *tokens*, that is the sequence of
 *                 already parsed=reduced *nonterminals* (tokens representing rules) and *terminals*
 *                 (lexer tokens *shifted* onto the stack until the rule they belong to is found and
 *                 *reduced*.
 *
 *               - `yysstack`: reference to the parser state stack. This one carries the internal parser
 *                             *states* such as the one in `yystate`, which are used to represent
 *                             the parser state machine in the *parse table*. *Very* *internal* stuff,
 *                             what can I say? If you access this one, you're clearly doing wicked things
 *
 *               - `...`     : the extra arguments you specified in the `%parse-param` statement in your
 *                             grammar definition file.
 *
 *    table: [...],
 *               State transition table
 *               ----------------------
 *
 *               index levels are:
 *               - `state`  --> hash table
 *               - `symbol` --> action (number or array)
 *
 *                 If the `action` is an array, these are the elements' meaning:
 *                 - index [0]: 1 = shift, 2 = reduce, 3 = accept
 *                 - index [1]: GOTO `state`
 *
 *                 If the `action` is a number, it is the GOTO `state`
 *
 *    defaultActions: {...},
 *
 *    parseError: function(str, hash, ExceptionClass),
 *    yyError: function(str, ...),
 *    yyRecovering: function(),
 *    yyErrOk: function(),
 *    yyClearIn: function(),
 *
 *    constructParseErrorInfo: function(error_message, exception_object, expected_token_set, is_recoverable),
 *               Helper function **which will be set up during the first invocation of the `parse()` method**.
 *               Produces a new errorInfo 'hash object' which can be passed into `parseError()`.
 *               See it's use in this parser kernel in many places; example usage:
 *
 *                   var infoObj = parser.constructParseErrorInfo('fail!', null,
 *                                     parser.collect_expected_token_set(state), true);
 *                   var retVal = parser.parseError(infoObj.errStr, infoObj, parser.JisonParserError);
 *
 *    originalParseError: function(str, hash, ExceptionClass),
 *               The basic `parseError` handler provided by JISON.
 *               `cleanupAfterParse()` will clean up and reset `parseError()` to reference this function
 *               at the end of the `parse()`.
 *
 *    options: { ... parser %options ... },
 *
 *    parse: function(input[, args...]),
 *               Parse the given `input` and return the parsed value (or `true` when none was provided by
 *               the root action, in which case the parser is acting as a *matcher*).
 *               You MAY use the additional `args...` parameters as per `%parse-param` spec of this grammar:
 *               these extra `args...` are passed verbatim to the grammar rules' action code.
 *
 *    cleanupAfterParse: function(resultValue, invoke_post_methods, do_not_nuke_errorinfos),
 *               Helper function **which will be set up during the first invocation of the `parse()` method**.
 *               This helper API is invoked at the end of the `parse()` call, unless an exception was thrown
 *               and `%options no-try-catch` has been defined for this grammar: in that case this helper MAY
 *               be invoked by calling user code to ensure the `post_parse` callbacks are invoked and
 *               the internal parser gets properly garbage collected under these particular circumstances.
 *
 *    lexer: {
 *        yy: {...},           A reference to the so-called "shared state" `yy` once
 *                             received via a call to the `.setInput(input, yy)` lexer API.
 *        EOF: 1,
 *        ERROR: 2,
 *        JisonLexerError: function(msg, hash),
 *        parseError: function(str, hash, ExceptionClass),
 *        setInput: function(input, [yy]),
 *        input: function(),
 *        unput: function(str),
 *        more: function(),
 *        reject: function(),
 *        less: function(n),
 *        pastInput: function(n),
 *        upcomingInput: function(n),
 *        showPosition: function(),
 *        test_match: function(regex_match_array, rule_index, ...),
 *        next: function(...),
 *        lex: function(...),
 *        begin: function(condition),
 *        pushState: function(condition),
 *        popState: function(),
 *        topState: function(),
 *        _currentRules: function(),
 *        stateStackSize: function(),
 *        cleanupAfterLex: function()
 *
 *        options: { ... lexer %options ... },
 *
 *        performAction: function(yy, yy_, $avoiding_name_collisions, YY_START, ...),
 *        rules: [...],
 *        conditions: {associative list: name ==> set},
 *    }
 *  }
 *
 *
 *  token location info (@$, _$, etc.): {
 *    first_line: n,
 *    last_line: n,
 *    first_column: n,
 *    last_column: n,
 *    range: [start_number, end_number]
 *               (where the numbers are indexes into the input string, zero-based)
 *  }
 *
 * ---
 *
 * The `parseError` function receives a 'hash' object with these members for lexer and
 * parser errors:
 *
 *  {
 *    text:        (matched text)
 *    token:       (the produced terminal token, if any)
 *    token_id:    (the produced terminal token numeric ID, if any)
 *    line:        (yylineno)
 *    loc:         (yylloc)
 *  }
 *
 * parser (grammar) errors will also provide these additional members:
 *
 *  {
 *    expected:    (array describing the set of expected tokens;
 *                  may be UNDEFINED when we cannot easily produce such a set)
 *    state:       (integer (or array when the table includes grammar collisions);
 *                  represents the current internal state of the parser kernel.
 *                  can, for example, be used to pass to the `collect_expected_token_set()`
 *                  API to obtain the expected token set)
 *    action:      (integer; represents the current internal action which will be executed)
 *    new_state:   (integer; represents the next/planned internal state, once the current
 *                  action has executed)
 *    recoverable: (boolean: TRUE when the parser MAY have an error recovery rule
 *                  available for this particular error)
 *    state_stack: (array: the current parser LALR/LR internal state stack; this can be used,
 *                  for instance, for advanced error analysis and reporting)
 *    value_stack: (array: the current parser LALR/LR internal `$$` value stack; this can be used,
 *                  for instance, for advanced error analysis and reporting)
 *    location_stack: (array: the current parser LALR/LR internal location stack; this can be used,
 *                  for instance, for advanced error analysis and reporting)
 *    yy:          (object: the current parser internal "shared state" `yy`
 *                  as is also available in the rule actions; this can be used,
 *                  for instance, for advanced error analysis and reporting)
 *    lexer:       (reference to the current lexer instance used by the parser)
 *    parser:      (reference to the current parser instance)
 *  }
 *
 * while `this` will reference the current parser instance.
 *
 * When `parseError` is invoked by the lexer, `this` will still reference the related *parser*
 * instance, while these additional `hash` fields will also be provided:
 *
 *  {
 *    lexer:       (reference to the current lexer instance which reported the error)
 *  }
 *
 * When `parseError` is invoked by the parser due to a **JavaScript exception** being fired
 * from either the parser or lexer, `this` will still reference the related *parser*
 * instance, while these additional `hash` fields will also be provided:
 *
 *  {
 *    exception:   (reference to the exception thrown)
 *  }
 *
 * Please do note that in the latter situation, the `expected` field will be omitted as
 * this type of failure is assumed not to be due to *parse errors* but rather due to user
 * action code in either parser or lexer failing unexpectedly.
 *
 * ---
 *
 * You can specify parser options by setting / modifying the `.yy` object of your Parser instance.
 * These options are available:
 *
 * ### options which are global for all parser instances
 *
 *  Parser.pre_parse: function(yy [, optional parse() args])
 *                 optional: you can specify a pre_parse() function in the chunk following
 *                 the grammar, i.e. after the last `%%`.
 *  Parser.post_parse: function(yy, retval [, optional parse() args]) { return retval; }
 *                 optional: you can specify a post_parse() function in the chunk following
 *                 the grammar, i.e. after the last `%%`. When it does not return any value,
 *                 the parser will return the original `retval`.
 *
 * ### options which can be set up per parser instance
 *
 *  yy: {
 *      pre_parse:  function(yy [, optional parse() args])
 *                 optional: is invoked before the parse cycle starts (and before the first
 *                 invocation of `lex()`) but immediately after the invocation of
 *                 `parser.pre_parse()`).
 *      post_parse: function(yy, retval [, optional parse() args]) { return retval; }
 *                 optional: is invoked when the parse terminates due to success ('accept')
 *                 or failure (even when exceptions are thrown).
 *                 `retval` contains the return value to be produced by `Parser.parse()`;
 *                 this function can override the return value by returning another.
 *                 When it does not return any value, the parser will return the original
 *                 `retval`.
 *                 This function is invoked immediately before `Parser.post_parse()`.
 *
 *      parseError: function(str, hash, ExceptionClass)
 *                 optional: overrides the default `parseError` function.
 *      quoteName: function(name),
 *                 optional: overrides the default `quoteName` function.
 *  }
 *
 *  parser.lexer.options: {
 *      pre_lex:  function()
 *                 optional: is invoked before the lexer is invoked to produce another token.
 *                 `this` refers to the Lexer object.
 *      post_lex: function(token) { return token; }
 *                 optional: is invoked when the lexer has produced a token `token`;
 *                 this function can override the returned token value by returning another.
 *                 When it does not return any (truthy) value, the lexer will return
 *                 the original `token`.
 *                 `this` refers to the Lexer object.
 *
 *      ranges: boolean
 *                 optional: `true` ==> token location info will include a .range[] member.
 *      flex: boolean
 *                 optional: `true` ==> flex-like lexing behaviour where the rules are tested
 *                 exhaustively to find the longest match.
 *      backtrack_lexer: boolean
 *                 optional: `true` ==> lexer regexes are tested in order and for invoked;
 *                 the lexer terminates the scan when a token is returned by the action code.
 *      xregexp: boolean
 *                 optional: `true` ==> lexer rule regexes are "extended regex format" requiring the
 *                 `XRegExp` library. When this %option has not been specified at compile time, all lexer
 *                 rule regexes have been written as standard JavaScript RegExp expressions.
 *  }
 */
var index = (function () {

// See also:
// http://stackoverflow.com/questions/1382107/whats-a-good-way-to-extend-error-in-javascript/#35881508
// but we keep the prototype.constructor and prototype.name assignment lines too for compatibility
// with userland code which might access the derived class in a 'classic' way.
function JisonParserError(msg, hash) {
    Object.defineProperty(this, 'name', {
        enumerable: false,
        writable: false,
        value: 'JisonParserError'
    });

    if (msg == null) msg = '???';

    Object.defineProperty(this, 'message', {
        enumerable: false,
        writable: true,
        value: msg
    });

    this.hash = hash;

    var stacktrace;
    if (hash && hash.exception instanceof Error) {
        var ex2 = hash.exception;
        this.message = ex2.message || msg;
        stacktrace = ex2.stack;
    }
    if (!stacktrace) {
        if (Error.hasOwnProperty('captureStackTrace')) { // V8
            Error.captureStackTrace(this, this.constructor);
        } else {
            stacktrace = (new Error(msg)).stack;
        }
    }
    if (stacktrace) {
        Object.defineProperty(this, 'stack', {
            enumerable: false,
            writable: false,
            value: stacktrace
        });
    }
}

if (typeof Object.setPrototypeOf === 'function') {
    Object.setPrototypeOf(JisonParserError.prototype, Error.prototype);
} else {
    JisonParserError.prototype = Object.create(Error.prototype);
}
JisonParserError.prototype.constructor = JisonParserError;
JisonParserError.prototype.name = 'JisonParserError';




// helper: reconstruct the productions[] table
function bp(s) {
    var rv = [];
    var p = s.pop;
    var r = s.rule;
    for (var i = 0, l = p.length; i < l; i++) {
        rv.push([
            p[i],
            r[i]
        ]);
    }
    return rv;
}



// helper: reconstruct the defaultActions[] table
function bda(s) {
    var rv = {};
    var d = s.idx;
    var g = s.goto;
    for (var i = 0, l = d.length; i < l; i++) {
        var j = d[i];
        rv[j] = g[i];
    }
    return rv;
}



// helper: reconstruct the 'goto' table
function bt(s) {
    var rv = [];
    var d = s.len;
    var y = s.symbol;
    var t = s.type;
    var a = s.state;
    var m = s.mode;
    var g = s.goto;
    for (var i = 0, l = d.length; i < l; i++) {
        var n = d[i];
        var q = {};
        for (var j = 0; j < n; j++) {
            var z = y.shift();
            switch (t.shift()) {
            case 2:
                q[z] = [
                    m.shift(),
                    g.shift()
                ];
                break;

            case 0:
                q[z] = a.shift();
                break;

            default:
                // type === 1: accept
                q[z] = [
                    3
                ];
            }
        }
        rv.push(q);
    }
    return rv;
}



// helper: runlength encoding with increment step: code, length: step (default step = 0)
// `this` references an array
function s(c, l, a) {
    a = a || 0;
    for (var i = 0; i < l; i++) {
        this.push(c);
        c += a;
    }
}

// helper: duplicate sequence from *relative* offset and length.
// `this` references an array
function c(i, l) {
    i = this.length - i;
    for (l += i; i < l; i++) {
        this.push(this[i]);
    }
}

// helper: unpack an array using helpers and data, all passed in an array argument 'a'.
function u(a) {
    var rv = [];
    for (var i = 0, l = a.length; i < l; i++) {
        var e = a[i];
        // Is this entry a helper function?
        if (typeof e === 'function') {
            i++;
            e.apply(rv, a[i]);
        } else {
            rv.push(e);
        }
    }
    return rv;
}


var parser = {
    // Code Generator Information Report
    // ---------------------------------
    //
    // Options:
    //
    //   no default action: ............... false
    //   no try..catch: ................... false
    //   no default resolve on conflict:    false
    //   on-demand look-ahead: ............ false
    //   error recovery token skip maximum: 3
    //   debug grammar/output: ............ false
    //   has partial LR conflict upgrade:   true
    //   rudimentary token-stack support:   true
    //   parser table compression mode: ... 2
    //   export debug tables: ............. false
    //   export *all* tables: ............. false
    //   module type: ..................... commonjs
    //   parser engine type: .............. lalr
    //   output main() in the module: ..... true
    //   number of expected conflicts: .... 0
    //
    //
    // Parser Analysis flags:
    //
    //   all actions are default: ......... false
    //   uses yyleng: ..................... false
    //   uses yylineno: ................... false
    //   uses yytext: ..................... false
    //   uses yylloc: ..................... false
    //   uses ParseError API: ............. true
    //   uses YYERROR: .................... false
    //   uses YYRECOVERING: ............... false
    //   uses YYERROK: .................... false
    //   uses YYCLEARIN: .................. false
    //   tracks rule values: .............. true
    //   assigns rule values: ............. true
    //   uses location tracking: .......... true
    //   assigns location: ................ false
    //   uses yystack: .................... false
    //   uses yysstack: ................... false
    //   uses yysp: ....................... true
    //   has error recovery: .............. false
    //
    // --------- END OF REPORT -----------

trace: function no_op_trace() { },
JisonParserError: JisonParserError,
yy: {},
options: {
  type: "lalr",
  hasPartialLrUpgradeOnConflict: true,
  errorRecoveryTokenDiscardCount: 3
},
symbols_: {
  "!": 19,
  "!=": 45,
  "!==": 47,
  "$accept": 0,
  "$end": 1,
  "%": 17,
  "&&": 43,
  "(": 20,
  ")": 21,
  "*": 9,
  "+": 14,
  "++": 56,
  ",": 3,
  "-": 15,
  "--": 57,
  ".": 5,
  "/": 16,
  "/=": 67,
  ":": 11,
  "<": 12,
  "<<": 52,
  "<=": 48,
  "=": 6,
  "==": 44,
  "===": 46,
  ">": 13,
  ">=": 49,
  ">>": 53,
  ">>>": 54,
  "?": 10,
  "AS": 39,
  "ATTRIBUTE": 28,
  "AccessorName": 128,
  "AdditiveExpression": 121,
  "ArgumentList": 130,
  "Arguments": 129,
  "ArrayLiteral": 137,
  "AssignmentExpression": 114,
  "AssignmentOperator": 41,
  "Attribute": 104,
  "AttributeList": 103,
  "BREAK": 68,
  "Block": 100,
  "BlockLines": 101,
  "BlockParts": 102,
  "BooleanLiteral": 144,
  "CASE": 69,
  "CATCH": 70,
  "CLASS": 86,
  "COMMA": 36,
  "CONST": 87,
  "CONTINUE": 71,
  "CallExpression": 132,
  "ConditionalExpression": 115,
  "Content": 99,
  "ContentList": 98,
  "DEBUGGER": 72,
  "DEDENT": 25,
  "DEFAULT": 73,
  "DELETE": 74,
  "DO": 75,
  "Document": 92,
  "ELSE": 32,
  "ENUM": 88,
  "EOF": 1,
  "EXPORT": 89,
  "EXTENDS": 90,
  "Element": 95,
  "ElementBlock": 94,
  "ElementList": 93,
  "Elision": 138,
  "EqualityExpression": 118,
  "Expression": 112,
  "ExpressionAttribute": 106,
  "ExpressionStatement": 113,
  "FALSE": 64,
  "FINALLY": 76,
  "FOR": 33,
  "FROM": 38,
  "FUNCTION": 77,
  "FilterExpression": 40,
  "For": 109,
  "FunctionBody": 61,
  "FunctionExpression": 59,
  "IDENTIFIER": 34,
  "IF": 31,
  "IMPORT": 37,
  "IN": 51,
  "INDENT": 24,
  "INSTANCEOF": 50,
  "IdentifierName": 127,
  "If": 108,
  "Import": 110,
  "ImportsList": 111,
  "Interpolation": 107,
  "LeftHandSideExpression": 126,
  "Literal": 142,
  "LogicalANDExpression": 117,
  "LogicalORExpression": 116,
  "MemberExpression": 134,
  "MultiplicativeExpression": 122,
  "NEW": 58,
  "NEWLINE": 26,
  "NULL": 62,
  "NUMERIC_LITERAL": 65,
  "NewExpression": 131,
  "NullLiteral": 143,
  "NumericLiteral": 145,
  "OF": 35,
  "ObjectLiteral": 139,
  "PlainAttribute": 105,
  "PostfixExpression": 125,
  "PrimaryExpression": 136,
  "PropertyAssignment": 141,
  "PropertyName": 135,
  "PropertyNameAndValueList": 140,
  "PropertySetParameterList": 133,
  "REGEXP_LITERAL": 66,
  "RETURN": 78,
  "RegularExpressionLiteral": 147,
  "RegularExpressionLiteralBegin": 148,
  "RelationalExpression": 119,
  "ReservedWord": 149,
  "SELECTOR": 27,
  "STRING_LITERAL": 30,
  "SUPER": 91,
  "SWITCH": 79,
  "ShiftExpression": 120,
  "StringLiteral": 146,
  "TEXT": 29,
  "THIS": 60,
  "THROW": 80,
  "TRUE": 63,
  "TRY": 81,
  "TYPEOF": 55,
  "Tag": 97,
  "Text": 96,
  "UnaryExpr": 124,
  "UnaryExpression": 123,
  "VAR": 82,
  "VOID": 83,
  "WHILE": 84,
  "WITH": 85,
  "[": 22,
  "]": 23,
  "error": 2,
  "{": 7,
  "|": 4,
  "||": 42,
  "}": 8,
  "~": 18
},
terminals_: {
  1: "EOF",
  2: "error",
  3: ",",
  4: "|",
  5: ".",
  6: "=",
  7: "{",
  8: "}",
  9: "*",
  10: "?",
  11: ":",
  12: "<",
  13: ">",
  14: "+",
  15: "-",
  16: "/",
  17: "%",
  18: "~",
  19: "!",
  20: "(",
  21: ")",
  22: "[",
  23: "]",
  24: "INDENT",
  25: "DEDENT",
  26: "NEWLINE",
  27: "SELECTOR",
  28: "ATTRIBUTE",
  29: "TEXT",
  30: "STRING_LITERAL",
  31: "IF",
  32: "ELSE",
  33: "FOR",
  34: "IDENTIFIER",
  35: "OF",
  36: "COMMA",
  37: "IMPORT",
  38: "FROM",
  39: "AS",
  40: "FilterExpression",
  41: "AssignmentOperator",
  42: "||",
  43: "&&",
  44: "==",
  45: "!=",
  46: "===",
  47: "!==",
  48: "<=",
  49: ">=",
  50: "INSTANCEOF",
  51: "IN",
  52: "<<",
  53: ">>",
  54: ">>>",
  55: "TYPEOF",
  56: "++",
  57: "--",
  58: "NEW",
  59: "FunctionExpression",
  60: "THIS",
  61: "FunctionBody",
  62: "NULL",
  63: "TRUE",
  64: "FALSE",
  65: "NUMERIC_LITERAL",
  66: "REGEXP_LITERAL",
  67: "/=",
  68: "BREAK",
  69: "CASE",
  70: "CATCH",
  71: "CONTINUE",
  72: "DEBUGGER",
  73: "DEFAULT",
  74: "DELETE",
  75: "DO",
  76: "FINALLY",
  77: "FUNCTION",
  78: "RETURN",
  79: "SWITCH",
  80: "THROW",
  81: "TRY",
  82: "VAR",
  83: "VOID",
  84: "WHILE",
  85: "WITH",
  86: "CLASS",
  87: "CONST",
  88: "ENUM",
  89: "EXPORT",
  90: "EXTENDS",
  91: "SUPER"
},
TERROR: 2,
EOF: 1,

// internals: defined here so the object *structure* doesn't get modified by parse() et al,
// thus helping JIT compilers like Chrome V8.
originalQuoteName: null,
originalParseError: null,
cleanupAfterParse: null,
constructParseErrorInfo: null,

__reentrant_call_depth: 0,      // INTERNAL USE ONLY
__error_infos: [],              // INTERNAL USE ONLY: the set of parseErrorInfo objects created since the last cleanup

// APIs which will be set up depending on user action code analysis:
//yyRecovering: 0,
//yyErrOk: 0,
//yyClearIn: 0,

// Helper APIs
// -----------

// Helper function which can be overridden by user code later on: put suitable quotes around
// literal IDs in a description string.
quoteName: function parser_quoteName(id_str) {
    return '"' + id_str + '"';
},

// Return a more-or-less human-readable description of the given symbol, when available,
// or the symbol itself, serving as its own 'description' for lack of something better to serve up.
//
// Return NULL when the symbol is unknown to the parser.
describeSymbol: function parser_describeSymbol(symbol) {
    if (symbol !== this.EOF && this.terminal_descriptions_ && this.terminal_descriptions_[symbol]) {
        return this.terminal_descriptions_[symbol];
    }
    else if (symbol === this.EOF) {
        return 'end of input';
    }
    else if (this.terminals_[symbol]) {
        return this.quoteName(this.terminals_[symbol]);
    }
    // Otherwise... this might refer to a RULE token i.e. a non-terminal: see if we can dig that one up.
    //
    // An example of this may be where a rule's action code contains a call like this:
    //
    //      parser.describeSymbol(#$)
    //
    // to obtain a human-readable description or name of the current grammar rule. This comes handy in
    // error handling action code blocks, for example.
    var s = this.symbols_;
    for (var key in s) {
        if (s[key] === symbol) {
            return key;
        }
    }
    return null;
},

// Produce a (more or less) human-readable list of expected tokens at the point of failure.
//
// The produced list may contain token or token set descriptions instead of the tokens
// themselves to help turning this output into something that easier to read by humans
// unless `do_not_describe` parameter is set, in which case a list of the raw, *numeric*,
// expected terminals and nonterminals is produced.
//
// The returned list (array) will not contain any duplicate entries.
collect_expected_token_set: function parser_collect_expected_token_set(state, do_not_describe) {
    var TERROR = this.TERROR;
    var tokenset = [];
    var check = {};
    // Has this (error?) state been outfitted with a custom expectations description text for human consumption?
    // If so, use that one instead of the less palatable token set.
    if (!do_not_describe && this.state_descriptions_ && this.state_descriptions_[state]) {
        return [
            this.state_descriptions_[state]
        ];
    }
    for (var p in this.table[state]) {
        p = +p;
        if (p !== TERROR) {
            var d = do_not_describe ? p : this.describeSymbol(p);
            if (d && !check[d]) {
                tokenset.push(d);
                check[d] = true;        // Mark this token description as already mentioned to prevent outputting duplicate entries.
            }
        }
    }
    return tokenset;
},
productions_: bp({
  pop: u([
  92,
  s,
  [93, 6],
  94,
  s,
  [95, 5],
  96,
  96,
  s,
  [97, 7],
  98,
  98,
  s,
  [99, 3],
  100,
  101,
  101,
  102,
  102,
  103,
  103,
  104,
  s,
  [104, 4, 1],
  107,
  s,
  [108, 3],
  109,
  109,
  s,
  [110, 3],
  111,
  111,
  112,
  113,
  113,
  s,
  [114, 4],
  115,
  115,
  116,
  116,
  117,
  117,
  s,
  [118, 5],
  s,
  [119, 7],
  s,
  [120, 4],
  s,
  [121, 3],
  s,
  [122, 4],
  123,
  123,
  s,
  [124, 7],
  s,
  [125, 3],
  126,
  126,
  127,
  127,
  128,
  128,
  129,
  129,
  130,
  130,
  131,
  131,
  s,
  [132, 4],
  133,
  s,
  [134, 5],
  s,
  [135, 3],
  s,
  [136, 6],
  s,
  [137, 5],
  138,
  138,
  s,
  [139, 3],
  140,
  140,
  s,
  [141, 3],
  s,
  [142, 5],
  143,
  144,
  s,
  [144, 5, 1],
  148,
  s,
  [149, 36]
]),
  rule: u([
  2,
  1,
  2,
  s,
  [1, 4, 1],
  3,
  s,
  [1, 5],
  2,
  3,
  c,
  [11, 4],
  4,
  3,
  4,
  c,
  [21, 3],
  c,
  [16, 5],
  c,
  [4, 6],
  3,
  c,
  [23, 4],
  7,
  6,
  6,
  8,
  5,
  7,
  7,
  1,
  c,
  [42, 3],
  c,
  [3, 4],
  3,
  1,
  5,
  c,
  [8, 3],
  3,
  c,
  [9, 3],
  c,
  [11, 3],
  s,
  [3, 6],
  c,
  [7, 4],
  c,
  [25, 4],
  c,
  [7, 4],
  1,
  s,
  [2, 7],
  c,
  [8, 3],
  s,
  [1, 6],
  2,
  c,
  [45, 4],
  s,
  [2, 3],
  c,
  [106, 5],
  4,
  c,
  [34, 4],
  s,
  [1, 5],
  c,
  [20, 3],
  3,
  3,
  4,
  5,
  c,
  [26, 3],
  c,
  [117, 3],
  3,
  3,
  7,
  8,
  s,
  [1, 10],
  c,
  [57, 7],
  s,
  [1, 32]
])
}),
performAction: function parser__PerformAction(yyloc, yystate /* action[1] */, yysp, yyvstack, yylstack) {
/* this == yyval */
var yy = this.yy;

switch (yystate) {
case 1:
    /*! Production::    Document : ElementList EOF */
    this.$ = new DocumentNode(yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    return this.$;
    break;

case 2:
    /*! Production::    ElementList : Element */
case 4:
    /*! Production::    ElementList : AssignmentExpression */
case 23:
    /*! Production::    ContentList : Content */
case 29:
    /*! Production::    BlockLines : BlockParts */
case 33:
    /*! Production::    AttributeList : Attribute */
case 49:
    /*! Production::    ImportsList : IDENTIFIER */
case 107:
    /*! Production::    ArgumentList : AssignmentExpression */
case 140:
    /*! Production::    PropertyNameAndValueList : PropertyAssignment */
    this.$ = [yyvstack[yysp]];
    break;

case 3:
    /*! Production::    ElementList : ElementList Element */
case 5:
    /*! Production::    ElementList : Elision AssignmentExpression */
case 24:
    /*! Production::    ContentList : ContentList Content */
case 30:
    /*! Production::    BlockLines : BlockLines BlockParts */
case 34:
    /*! Production::    AttributeList : AttributeList Attribute */
    this.$ = yyvstack[yysp - 1].concat(yyvstack[yysp]);
    break;

case 6:
    /*! Production::    ElementList : ElementList "," AssignmentExpression */
case 50:
    /*! Production::    ImportsList : ImportsList "," IDENTIFIER */
case 108:
    /*! Production::    ArgumentList : ArgumentList "," AssignmentExpression */
case 141:
    /*! Production::    PropertyNameAndValueList : PropertyNameAndValueList "," PropertyAssignment */
    this.$ = yyvstack[yysp - 2].concat(yyvstack[yysp]);
    break;

case 7:
    /*! Production::    ElementList : ElementList "," Elision AssignmentExpression */
    this.$ = yyvstack[yysp - 3].concat(yyvstack[yysp - 1]).concat(yyvstack[yysp]);
    break;

case 8:
    /*! Production::    ElementBlock : INDENT ElementList DEDENT */
case 106:
    /*! Production::    Arguments : "(" ArgumentList ")" */
case 128:
    /*! Production::    PrimaryExpression : "(" Expression ")" */
    this.$ = yyvstack[yysp - 1];
    break;

case 14:
    /*! Production::    Text : "|" NEWLINE */
    this.$ = new TextNode([], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 15:
    /*! Production::    Text : "|" ContentList NEWLINE */
    this.$ = new TextNode(yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 16:
    /*! Production::    Tag : SELECTOR NEWLINE */
    this.$ = new ElementNode(yyvstack[yysp - 1], [], [], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 17:
    /*! Production::    Tag : SELECTOR ContentList NEWLINE */
    this.$ = new ElementNode(yyvstack[yysp - 2], [], yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 18:
    /*! Production::    Tag : SELECTOR "." NEWLINE Block */
    this.$ = new ElementNode(yyvstack[yysp - 3], [], [yyvstack[yysp]], createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 19:
    /*! Production::    Tag : SELECTOR AttributeList NEWLINE */
    this.$ = new ElementNode(yyvstack[yysp - 2], yyvstack[yysp - 1], [], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 20:
    /*! Production::    Tag : SELECTOR AttributeList ContentList NEWLINE */
    this.$ = new ElementNode(yyvstack[yysp - 3], yyvstack[yysp - 2], yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 21:
    /*! Production::    Tag : SELECTOR NEWLINE ElementBlock */
    this.$ = new ElementNode(yyvstack[yysp - 2], [], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 22:
    /*! Production::    Tag : SELECTOR AttributeList NEWLINE ElementBlock */
    this.$ = new ElementNode(yyvstack[yysp - 3], yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 25:
    /*! Production::    Content : ATTRIBUTE */
case 26:
    /*! Production::    Content : TEXT */
case 31:
    /*! Production::    BlockParts : NEWLINE */
case 32:
    /*! Production::    BlockParts : TEXT */
    this.$ = new LiteralNode(JSON.stringify(yyvstack[yysp]), createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 28:
    /*! Production::    Block : BlockLines */
    this.$ = new TextNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 37:
    /*! Production::    PlainAttribute : ATTRIBUTE "=" STRING_LITERAL */
    this.$ = new AttributeNode(yyvstack[yysp - 2],
    new LiteralNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp])),
    createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 38:
    /*! Production::    ExpressionAttribute : ATTRIBUTE "=" Interpolation */
    this.$ = new AttributeNode(yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 39:
    /*! Production::    Interpolation : "{" "}" */
    this.$ = null
    break;

case 40:
    /*! Production::    Interpolation : "{" ExpressionStatement "}" */
    this.$ = new ExpressionNode(yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]))
    break;

case 41:
    /*! Production::    If : IF Expression NEWLINE ElementBlock */
    this.$ = new IfStatementNode(yyvstack[yysp - 2], yyvstack[yysp], null, createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 42:
    /*! Production::    If : IF Expression NEWLINE ElementBlock ELSE NEWLINE ElementBlock */
    this.$ = new IfStatementNode(yyvstack[yysp - 5], yyvstack[yysp - 3], yyvstack[yysp], createSourceLocation(yylstack[yysp - 6], yylstack[yysp]));
    break;

case 43:
    /*! Production::    If : IF Expression NEWLINE ElementBlock ELSE If */
    this.$ = new IfStatementNode(yyvstack[yysp - 4], yyvstack[yysp - 2], [yyvstack[yysp]], createSourceLocation(yylstack[yysp - 5], yylstack[yysp]));
    break;

case 44:
    /*! Production::    For : FOR IDENTIFIER OF Expression NEWLINE ElementBlock */
    this.$ = new ForStatementNode(yyvstack[yysp - 2], yyvstack[yysp], yyvstack[yysp - 4], null, createSourceLocation(yylstack[yysp - 5], yylstack[yysp]));
    break;

case 45:
    /*! Production::    For : FOR IDENTIFIER COMMA IDENTIFIER OF Expression NEWLINE ElementBlock */
    this.$ = new ForStatementNode(yyvstack[yysp - 2], yyvstack[yysp], yyvstack[yysp - 6], yyvstack[yysp - 4], createSourceLocation(yylstack[yysp - 7], yylstack[yysp]));
    break;

case 46:
    /*! Production::    Import : IMPORT IDENTIFIER FROM STRING_LITERAL NEWLINE */
    this.$ = new ImportStatementNode(yyvstack[yysp - 3], yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 4], yylstack[yysp]));
    break;

case 47:
    /*! Production::    Import : IMPORT "{" ImportsList "}" FROM STRING_LITERAL NEWLINE */
    this.$ = new ImportStatementNode(yyvstack[yysp - 4], yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 6], yylstack[yysp]));
    break;

case 48:
    /*! Production::    Import : IMPORT "*" AS IDENTIFIER FROM STRING_LITERAL NEWLINE */
    this.$ = new ImportStatementNode(yyvstack[yysp - 3], yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 6], yylstack[yysp]));
    break;

case 51:
    /*! Production::    Expression : ExpressionStatement */
    this.$ = new ExpressionNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp]))
    break;

case 53:
    /*! Production::    ExpressionStatement : Expression "," AssignmentExpression */
    if (yyvstack[yysp - 2].type === "SequenceExpression") {
        yyvstack[yysp - 2].expressions.concat(yyvstack[yysp]);
        yyvstack[yysp - 2].loc = createSourceLocation(yylstack[yysp - 2], yylstack[yysp]);
        this.$ = yyvstack[yysp - 2];
    } else {
        this.$ = new SequenceExpressionNode([yyvstack[yysp - 2], yyvstack[yysp]], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    }
    break;

case 56:
    /*! Production::    AssignmentExpression : LeftHandSideExpression "=" AssignmentExpression */
    this.$ = new AssignmentExpressionNode("=", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 57:
    /*! Production::    AssignmentExpression : LeftHandSideExpression AssignmentOperator AssignmentExpression */
    this.$ = new AssignmentExpressionNode(yyvstack[yysp - 1], yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 59:
    /*! Production::    ConditionalExpression : LogicalORExpression "?" AssignmentExpression ":" AssignmentExpression */
    this.$ = new ConditionalExpressionNode(yyvstack[yysp - 4], yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 4], yylstack[yysp]));
    break;

case 61:
    /*! Production::    LogicalORExpression : LogicalORExpression "||" LogicalANDExpression */
    this.$ = new LogicalExpressionNode("||", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 63:
    /*! Production::    LogicalANDExpression : LogicalANDExpression "&&" EqualityExpression */
    this.$ = new LogicalExpressionNode("&&", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 65:
    /*! Production::    EqualityExpression : EqualityExpression "==" RelationalExpression */
    this.$ = new BinaryExpressionNode("==", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 66:
    /*! Production::    EqualityExpression : EqualityExpression "!=" RelationalExpression */
    this.$ = new BinaryExpressionNode("!=", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 67:
    /*! Production::    EqualityExpression : EqualityExpression "===" RelationalExpression */
    this.$ = new BinaryExpressionNode("===", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 68:
    /*! Production::    EqualityExpression : EqualityExpression "!==" RelationalExpression */
    this.$ = new BinaryExpressionNode("!==", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 70:
    /*! Production::    RelationalExpression : RelationalExpression "<" ShiftExpression */
    this.$ = new BinaryExpressionNode("<", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 71:
    /*! Production::    RelationalExpression : RelationalExpression ">" ShiftExpression */
    this.$ = new BinaryExpressionNode(">", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 72:
    /*! Production::    RelationalExpression : RelationalExpression "<=" ShiftExpression */
    this.$ = new BinaryExpressionNode("<=", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 73:
    /*! Production::    RelationalExpression : RelationalExpression ">=" ShiftExpression */
    this.$ = new BinaryExpressionNode(">=", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 74:
    /*! Production::    RelationalExpression : RelationalExpression INSTANCEOF ShiftExpression */
    this.$ = new BinaryExpressionNode("instanceof", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 75:
    /*! Production::    RelationalExpression : RelationalExpression IN ShiftExpression */
    this.$ = new BinaryExpressionNode("in", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 77:
    /*! Production::    ShiftExpression : ShiftExpression "<<" AdditiveExpression */
    this.$ = new BinaryExpressionNode("<<", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 78:
    /*! Production::    ShiftExpression : ShiftExpression ">>" AdditiveExpression */
    this.$ = new BinaryExpressionNode(">>", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 79:
    /*! Production::    ShiftExpression : ShiftExpression ">>>" AdditiveExpression */
    this.$ = new BinaryExpressionNode(">>>", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 81:
    /*! Production::    AdditiveExpression : AdditiveExpression "+" MultiplicativeExpression */
    this.$ = new BinaryExpressionNode("+", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 82:
    /*! Production::    AdditiveExpression : AdditiveExpression "-" MultiplicativeExpression */
    this.$ = new BinaryExpressionNode("-", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 84:
    /*! Production::    MultiplicativeExpression : MultiplicativeExpression "*" UnaryExpression */
    this.$ = new BinaryExpressionNode("*", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 85:
    /*! Production::    MultiplicativeExpression : MultiplicativeExpression "/" UnaryExpression */
    this.$ = new BinaryExpressionNode("/", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 86:
    /*! Production::    MultiplicativeExpression : MultiplicativeExpression "%" UnaryExpression */
    this.$ = new BinaryExpressionNode("%", yyvstack[yysp - 2], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 89:
    /*! Production::    UnaryExpr : TYPEOF UnaryExpression */
    this.$ = new UnaryExpressionNode("typeof", true, yyvstack[yysp], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 90:
    /*! Production::    UnaryExpr : "++" UnaryExpression */
    this.$ = new UpdateExpressionNode("++", yyvstack[yysp], true, createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 91:
    /*! Production::    UnaryExpr : "--" UnaryExpression */
    this.$ = new UpdateExpressionNode("--", yyvstack[yysp], true, createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 92:
    /*! Production::    UnaryExpr : "+" UnaryExpression */
    this.$ = new UnaryExpressionNode("+", true, yyvstack[yysp], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 93:
    /*! Production::    UnaryExpr : "-" UnaryExpression */
    this.$ = new UnaryExpressionNode("-", true, yyvstack[yysp], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 94:
    /*! Production::    UnaryExpr : "~" UnaryExpression */
    this.$ = new UnaryExpressionNode("~", true, yyvstack[yysp], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 95:
    /*! Production::    UnaryExpr : "!" UnaryExpression */
    this.$ = new UnaryExpressionNode("!", true, yyvstack[yysp], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 97:
    /*! Production::    PostfixExpression : LeftHandSideExpression "++" */
    this.$ = new UpdateExpressionNode("++", yyvstack[yysp - 1], false, createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 98:
    /*! Production::    PostfixExpression : LeftHandSideExpression "--" */
    this.$ = new UpdateExpressionNode("--", yyvstack[yysp - 1], false, createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 101:
    /*! Production::    IdentifierName : IDENTIFIER */
case 102:
    /*! Production::    IdentifierName : ReservedWord */
case 125:
    /*! Production::    PrimaryExpression : IDENTIFIER */
    this.$ = new IdentifierNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 103:
    /*! Production::    AccessorName : IDENTIFIER */
case 104:
    /*! Production::    AccessorName : ReservedWord */
    this.$ = new AccessorNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 105:
    /*! Production::    Arguments : "(" ")" */
    this.$ = [];
    break;

case 110:
    /*! Production::    NewExpression : NEW NewExpression */
    this.$ = new NewExpressionNode(yyvstack[yysp], null, createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 111:
    /*! Production::    CallExpression : MemberExpression Arguments */
case 112:
    /*! Production::    CallExpression : CallExpression Arguments */
    this.$ = new CallExpressionNode(yyvstack[yysp - 1], yyvstack[yysp], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 113:
    /*! Production::    CallExpression : CallExpression "[" Expression "]" */
case 118:
    /*! Production::    MemberExpression : MemberExpression "[" Expression "]" */
    this.$ = new MemberExpressionNode(yyvstack[yysp - 3], yyvstack[yysp - 1], true, createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 114:
    /*! Production::    CallExpression : CallExpression "." AccessorName */
case 119:
    /*! Production::    MemberExpression : MemberExpression "." AccessorName */
    this.$ = new MemberExpressionNode(yyvstack[yysp - 2], yyvstack[yysp], false, createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 115:
    /*! Production::    PropertySetParameterList : IDENTIFIER */
    this.$ = [new IdentifierNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp]))];
    break;

case 120:
    /*! Production::    MemberExpression : NEW MemberExpression Arguments */
    this.$ = new NewExpressionNode(yyvstack[yysp - 1], yyvstack[yysp], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 124:
    /*! Production::    PrimaryExpression : THIS */
    this.$ = new ThisExpressionNode(createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 130:
    /*! Production::    ArrayLiteral : "[" "]" */
    this.$ = new ArrayExpressionNode([], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 131:
    /*! Production::    ArrayLiteral : "[" Elision "]" */
case 132:
    /*! Production::    ArrayLiteral : "[" ElementList "]" */
    this.$ = new ArrayExpressionNode(yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 133:
    /*! Production::    ArrayLiteral : "[" ElementList "," "]" */
    this.$ = new ArrayExpressionNode(yyvstack[yysp - 2].concat(null), createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 134:
    /*! Production::    ArrayLiteral : "[" ElementList "," Elision "]" */
    this.$ = new ArrayExpressionNode(yyvstack[yysp - 3].concat(yyvstack[yysp - 1]), createSourceLocation(yylstack[yysp - 4], yylstack[yysp]));
    break;

case 135:
    /*! Production::    Elision : "," */
    this.$ = [null, null];
    break;

case 136:
    /*! Production::    Elision : Elision "," */
    this.$ = yyvstack[yysp - 1].concat(null);
    break;

case 137:
    /*! Production::    ObjectLiteral : "{" "}" */
    this.$ = new ObjectExpressionNode([], createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 138:
    /*! Production::    ObjectLiteral : "{" PropertyNameAndValueList "}" */
    this.$ = new ObjectExpressionNode(yyvstack[yysp - 1], createSourceLocation(yylstack[yysp - 2], yylstack[yysp]));
    break;

case 139:
    /*! Production::    ObjectLiteral : "{" PropertyNameAndValueList "," "}" */
    this.$ = new ObjectExpressionNode(yyvstack[yysp - 2], createSourceLocation(yylstack[yysp - 3], yylstack[yysp]));
    break;

case 142:
    /*! Production::    PropertyAssignment : PropertyName ":" AssignmentExpression */
    this.$ = {key: yyvstack[yysp - 2], value: yyvstack[yysp], kind: "init"};
    break;

case 143:
    /*! Production::    PropertyAssignment : IDENTIFIER PropertyName "(" ")" "{" FunctionBody "}" */
    if (yyvstack[yysp - 6] === "get") {
        this.$ = {key: yyvstack[yysp - 5], value: (new FunctionExpressionNode(null, [], yyvstack[yysp - 1], false, false, createSourceLocation(yylstack[yysp - 5], yylstack[yysp]))), kind: "get"};
    } else {
        this.parseError("Invalid getter", {});
    }
    break;

case 144:
    /*! Production::    PropertyAssignment : IDENTIFIER PropertyName "(" PropertySetParameterList ")" "{" FunctionBody "}" */
    if (yyvstack[yysp - 7] === "set") {
        this.$ = {key: yyvstack[yysp - 6], value: (new FunctionExpressionNode(null, yyvstack[yysp - 4], yyvstack[yysp - 1], false, false, createSourceLocation(yylstack[yysp - 6], yylstack[yysp]))), kind: "set"};
    } else {
        this.parseError("Invalid setter", {});
    }
    break;

case 150:
    /*! Production::    NullLiteral : NULL */
    this.$ = new LiteralNode(null, createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 151:
    /*! Production::    BooleanLiteral : TRUE */
    this.$ = new LiteralNode(true, createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 152:
    /*! Production::    BooleanLiteral : FALSE */
    this.$ = new LiteralNode(false, createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 153:
    /*! Production::    NumericLiteral : NUMERIC_LITERAL */
    this.$ = new LiteralNode(parseNumericLiteral(yyvstack[yysp]), createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 154:
    /*! Production::    StringLiteral : STRING_LITERAL */
    this.$ = new LiteralNode(yyvstack[yysp], createSourceLocation(yylstack[yysp], yylstack[yysp]));
    break;

case 155:
    /*! Production::    RegularExpressionLiteral : RegularExpressionLiteralBegin REGEXP_LITERAL */
    this.$ = new LiteralNode(parseRegularExpressionLiteral(yyvstack[yysp - 1] + yyvstack[yysp]), createSourceLocation(yylstack[yysp - 1], yylstack[yysp]));
    break;

case 156:
    /*! Production::    RegularExpressionLiteralBegin : "/" */
case 157:
    /*! Production::    RegularExpressionLiteralBegin : "/=" */
    yy.lexer.begin("REGEXP");
    break;

}
},
table: bt({
  len: u([
  63,
  1,
  13,
  0,
  0,
  49,
  s,
  [0, 7],
  38,
  0,
  7,
  12,
  50,
  1,
  3,
  15,
  0,
  42,
  16,
  42,
  26,
  20,
  0,
  0,
  26,
  s,
  [0, 4],
  50,
  0,
  29,
  s,
  [0, 5],
  63,
  47,
  31,
  s,
  [0, 5],
  1,
  34,
  c,
  [44, 6],
  s,
  [38, 6],
  c,
  [32, 4],
  0,
  48,
  48,
  s,
  [0, 3],
  6,
  s,
  [0, 4],
  51,
  11,
  6,
  1,
  10,
  0,
  5,
  0,
  0,
  2,
  c,
  [3, 3],
  1,
  2,
  1,
  48,
  44,
  0,
  50,
  39,
  50,
  43,
  c,
  [5, 3],
  0,
  s,
  [42, 5],
  s,
  [41, 6],
  2,
  s,
  [40, 3],
  0,
  50,
  13,
  c,
  [37, 3],
  1,
  45,
  s,
  [0, 40],
  39,
  39,
  c,
  [115, 4],
  0,
  36,
  s,
  [0, 7],
  c,
  [179, 6],
  2,
  1,
  0,
  62,
  0,
  5,
  11,
  6,
  0,
  3,
  2,
  48,
  50,
  1,
  1,
  c,
  [80, 3],
  1,
  16,
  c,
  [122, 3],
  c,
  [127, 4],
  20,
  c,
  [8, 3],
  s,
  [26, 4],
  s,
  [29, 6],
  0,
  s,
  [31, 3],
  c,
  [158, 3],
  0,
  46,
  48,
  1,
  0,
  34,
  c,
  [193, 6],
  13,
  0,
  12,
  s,
  [0, 7],
  10,
  c,
  [72, 3],
  s,
  [1, 4],
  c,
  [198, 3],
  c,
  [3, 3],
  c,
  [208, 3],
  0,
  3,
  c,
  [3, 3],
  2,
  50,
  0,
  1,
  0,
  1,
  c,
  [241, 4],
  1,
  c,
  [206, 6],
  s,
  [1, 3],
  c,
  [9, 4],
  c,
  [6, 3],
  c,
  [23, 3]
]),
  symbol: u([
  3,
  4,
  7,
  14,
  15,
  16,
  18,
  19,
  20,
  22,
  27,
  30,
  31,
  33,
  34,
  37,
  40,
  s,
  [55, 6, 1],
  s,
  [62, 4, 1],
  67,
  92,
  93,
  95,
  96,
  97,
  108,
  109,
  110,
  s,
  [114, 13, 1],
  131,
  132,
  134,
  s,
  [136, 4, 1],
  s,
  [142, 7, 1],
  1,
  1,
  3,
  4,
  27,
  31,
  33,
  37,
  c,
  [41, 6],
  3,
  c,
  [76, 8],
  30,
  34,
  c,
  [72, 12],
  c,
  [64, 18],
  c,
  [63, 9],
  3,
  4,
  6,
  s,
  [8, 10, 1],
  21,
  23,
  25,
  26,
  c,
  [77, 4],
  s,
  [41, 14, 1],
  56,
  57,
  7,
  26,
  28,
  29,
  98,
  99,
  107,
  5,
  c,
  [8, 6],
  s,
  [103, 5, 1],
  c,
  [105, 22],
  s,
  [112, 15, 1],
  c,
  [107, 13],
  34,
  7,
  9,
  34,
  c,
  [111, 3],
  8,
  10,
  11,
  c,
  [103, 8],
  42,
  c,
  [15, 3],
  5,
  c,
  [127, 11],
  s,
  [20, 4, 1],
  c,
  [129, 22],
  129,
  c,
  [57, 15],
  43,
  c,
  [58, 42],
  7,
  16,
  c,
  [165, 4],
  c,
  [161, 8],
  131,
  c,
  [252, 14],
  c,
  [84, 13],
  c,
  [56, 4],
  c,
  [20, 6],
  12,
  13,
  c,
  [22, 14],
  c,
  [78, 4],
  c,
  [241, 50],
  c,
  [76, 26],
  c,
  [154, 3],
  c,
  [503, 10],
  23,
  c,
  [504, 18],
  c,
  [503, 34],
  8,
  s,
  [30, 5, 1],
  37,
  50,
  51,
  55,
  58,
  c,
  [51, 5],
  s,
  [68, 24, 1],
  127,
  135,
  140,
  141,
  145,
  146,
  149,
  c,
  [139, 8],
  14,
  15,
  c,
  [141, 21],
  66,
  c,
  [32, 4],
  c,
  [518, 17],
  c,
  [35, 13],
  c,
  [255, 10],
  c,
  [168, 11],
  c,
  [243, 17],
  c,
  [38, 228],
  c,
  [868, 41],
  c,
  [429, 9],
  c,
  [917, 48],
  c,
  [48, 49],
  c,
  [919, 3],
  99,
  107,
  7,
  8,
  c,
  [674, 52],
  23,
  24,
  25,
  c,
  [492, 4],
  94,
  c,
  [68, 6],
  26,
  c,
  [994, 6],
  c,
  [993, 4],
  6,
  c,
  [11, 4],
  3,
  26,
  35,
  36,
  38,
  34,
  111,
  39,
  c,
  [194, 58],
  c,
  [47, 11],
  c,
  [238, 45],
  c,
  [183, 28],
  c,
  [763, 13],
  c,
  [762, 24],
  128,
  149,
  c,
  [89, 7],
  21,
  c,
  [182, 28],
  130,
  c,
  [183, 34],
  c,
  [182, 111],
  c,
  [1242, 43],
  c,
  [174, 20],
  c,
  [399, 42],
  c,
  [42, 126],
  c,
  [41, 225],
  3,
  21,
  c,
  [43, 21],
  c,
  [83, 40],
  c,
  [40, 59],
  c,
  [1185, 9],
  23,
  c,
  [943, 40],
  c,
  [1031, 3],
  c,
  [2116, 11],
  8,
  11,
  11,
  c,
  [1630, 41],
  c,
  [1628, 3],
  c,
  [151, 21],
  c,
  [190, 39],
  c,
  [39, 39],
  c,
  [38, 93],
  c,
  [1788, 34],
  56,
  57,
  c,
  [2392, 49],
  3,
  8,
  3,
  c,
  [2521, 28],
  c,
  [2017, 34],
  26,
  29,
  100,
  101,
  102,
  c,
  [1440, 17],
  7,
  30,
  107,
  24,
  94,
  c,
  [1615, 70],
  c,
  [2475, 29],
  30,
  3,
  8,
  34,
  11,
  c,
  [2336, 16],
  3,
  23,
  3,
  21,
  c,
  [2356, 20],
  3,
  23,
  c,
  [2282, 26],
  c,
  [26, 104],
  c,
  [422, 3],
  c,
  [29, 153],
  c,
  [2421, 23],
  c,
  [31, 62],
  c,
  [997, 42],
  c,
  [2612, 51],
  c,
  [2611, 4],
  c,
  [614, 48],
  20,
  c,
  [840, 34],
  c,
  [34, 34],
  3,
  4,
  c,
  [750, 5],
  c,
  [798, 6],
  c,
  [766, 4],
  c,
  [36, 3],
  29,
  c,
  [17, 3],
  c,
  [778, 5],
  c,
  [27, 3],
  32,
  33,
  37,
  c,
  [2195, 3],
  26,
  38,
  34,
  38,
  c,
  [2388, 96],
  c,
  [1349, 50],
  21,
  34,
  133,
  26,
  31,
  108,
  c,
  [927, 24],
  c,
  [879, 28],
  30,
  30,
  7,
  21,
  24,
  94,
  3,
  s,
  [26, 3],
  61,
  7,
  24,
  94,
  8,
  61,
  8
]),
  type: u([
  s,
  [2, 28],
  s,
  [0, 35],
  1,
  c,
  [43, 13],
  c,
  [72, 49],
  s,
  [2, 42],
  c,
  [45, 8],
  c,
  [57, 29],
  s,
  [0, 28],
  s,
  [2, 60],
  c,
  [61, 58],
  c,
  [58, 15],
  c,
  [145, 72],
  c,
  [241, 94],
  s,
  [0, 34],
  c,
  [74, 47],
  s,
  [2, 87],
  c,
  [151, 38],
  c,
  [38, 228],
  c,
  [436, 29],
  c,
  [917, 70],
  c,
  [48, 30],
  c,
  [152, 52],
  c,
  [51, 11],
  c,
  [68, 12],
  c,
  [133, 17],
  c,
  [1111, 71],
  c,
  [238, 71],
  c,
  [718, 39],
  c,
  [425, 73],
  c,
  [182, 134],
  c,
  [1300, 40],
  c,
  [216, 63],
  c,
  [42, 125],
  c,
  [41, 226],
  c,
  [43, 21],
  c,
  [40, 101],
  c,
  [943, 36],
  c,
  [1580, 49],
  c,
  [151, 44],
  c,
  [39, 77],
  c,
  [1488, 99],
  c,
  [1960, 62],
  c,
  [2017, 67],
  c,
  [1440, 22],
  0,
  c,
  [1422, 24],
  c,
  [1615, 74],
  c,
  [2095, 89],
  s,
  [2, 356],
  c,
  [2612, 73],
  c,
  [3146, 90],
  c,
  [130, 51],
  c,
  [94, 40],
  c,
  [2436, 96],
  c,
  [50, 30],
  c,
  [927, 54],
  c,
  [2422, 8],
  c,
  [235, 11]
]),
  state: u([
  1,
  2,
  3,
  s,
  [6, 5, 1],
  4,
  11,
  s,
  [20, 4, 3],
  36,
  44,
  51,
  54,
  56,
  55,
  13,
  21,
  22,
  24,
  27,
  33,
  5,
  35,
  32,
  s,
  [37, 5, 1],
  50,
  65,
  c,
  [33, 5],
  67,
  c,
  [33, 17],
  c,
  [32, 8],
  74,
  75,
  78,
  81,
  75,
  83,
  84,
  86,
  87,
  78,
  88,
  89,
  90,
  c,
  [38, 25],
  97,
  102,
  105,
  106,
  c,
  [14, 10],
  117,
  c,
  [42, 27],
  123,
  c,
  [146, 24],
  122,
  c,
  [34, 8],
  129,
  127,
  125,
  126,
  131,
  130,
  132,
  175,
  56,
  55,
  176,
  c,
  [58, 13],
  177,
  c,
  [17, 16],
  178,
  c,
  [17, 16],
  179,
  c,
  [17, 16],
  180,
  c,
  [17, 16],
  181,
  c,
  [17, 16],
  182,
  c,
  [17, 16],
  183,
  c,
  [153, 17],
  184,
  c,
  [27, 8],
  185,
  c,
  [213, 25],
  186,
  c,
  [26, 25],
  188,
  78,
  191,
  190,
  c,
  [269, 26],
  192,
  188,
  78,
  197,
  75,
  198,
  c,
  [348, 3],
  205,
  208,
  c,
  [36, 25],
  209,
  c,
  [23, 8],
  c,
  [168, 14],
  210,
  c,
  [356, 27],
  211,
  213,
  216,
  c,
  [28, 12],
  215,
  c,
  [29, 13],
  217,
  c,
  [79, 21],
  218,
  c,
  [79, 27],
  219,
  213,
  220,
  221,
  c,
  [52, 20],
  222,
  c,
  [21, 20],
  223,
  c,
  [21, 20],
  224,
  c,
  [21, 20],
  225,
  c,
  [20, 19],
  226,
  c,
  [20, 19],
  227,
  c,
  [20, 19],
  228,
  c,
  [20, 19],
  229,
  c,
  [20, 19],
  230,
  c,
  [20, 19],
  232,
  c,
  [19, 18],
  233,
  c,
  [19, 18],
  234,
  c,
  [19, 18],
  c,
  [805, 26],
  c,
  [837, 6],
  129,
  241,
  c,
  [695, 3],
  243,
  c,
  [55, 17],
  244,
  c,
  [18, 17],
  245,
  c,
  [17, 16],
  246,
  c,
  [17, 16],
  247,
  c,
  [17, 16],
  248,
  c,
  [124, 25],
  250,
  c,
  [995, 33],
  251,
  252,
  253,
  256,
  188,
  78,
  259,
  260,
  261,
  c,
  [68, 25],
  262,
  c,
  [510, 27],
  c,
  [785, 18],
  274,
  c,
  [938, 10],
  276,
  c,
  [242, 3],
  277,
  c,
  [279, 31],
  280,
  288,
  c,
  [33, 25],
  289,
  c,
  [26, 25],
  c,
  [240, 26],
  292,
  295,
  296,
  297,
  c,
  [175, 27],
  302,
  308
]),
  mode: u([
  s,
  [1, 58],
  s,
  [2, 3],
  c,
  [4, 4],
  s,
  [2, 15],
  c,
  [19, 14],
  c,
  [73, 40],
  c,
  [55, 11],
  c,
  [88, 16],
  1,
  c,
  [102, 20],
  s,
  [2, 20],
  c,
  [57, 42],
  c,
  [127, 18],
  c,
  [30, 16],
  c,
  [10, 8],
  c,
  [56, 28],
  c,
  [68, 28],
  c,
  [258, 47],
  c,
  [293, 39],
  c,
  [148, 20],
  c,
  [375, 12],
  c,
  [183, 23],
  c,
  [138, 79],
  s,
  [1, 169],
  c,
  [275, 10],
  c,
  [20, 15],
  c,
  [236, 214],
  c,
  [764, 52],
  s,
  [1, 295],
  c,
  [310, 145],
  c,
  [1294, 35],
  c,
  [204, 57],
  c,
  [823, 20],
  c,
  [159, 62],
  c,
  [1383, 25],
  c,
  [1385, 28],
  c,
  [26, 84],
  c,
  [297, 23],
  c,
  [29, 153],
  c,
  [489, 31],
  c,
  [31, 54],
  c,
  [1390, 97],
  c,
  [152, 28],
  c,
  [1699, 37],
  c,
  [1219, 18],
  c,
  [11, 3],
  s,
  [1, 117]
]),
  goto: u([
  14,
  15,
  43,
  60,
  61,
  52,
  62,
  63,
  34,
  42,
  16,
  49,
  17,
  18,
  31,
  19,
  12,
  57,
  58,
  59,
  25,
  28,
  30,
  s,
  [45, 4, 1],
  53,
  64,
  66,
  s,
  [15, 5, 1],
  68,
  c,
  [34, 8],
  49,
  31,
  c,
  [30, 12],
  s,
  [96, 3],
  69,
  s,
  [96, 18],
  70,
  s,
  [96, 13],
  71,
  72,
  79,
  73,
  76,
  77,
  82,
  79,
  80,
  85,
  77,
  c,
  [69, 22],
  91,
  93,
  94,
  92,
  s,
  [58, 4],
  95,
  s,
  [58, 9],
  96,
  s,
  [100, 3],
  99,
  s,
  [100, 13],
  98,
  s,
  [100, 23],
  s,
  [60, 15],
  101,
  s,
  [109, 3],
  104,
  s,
  [109, 11],
  100,
  109,
  103,
  s,
  [109, 23],
  43,
  52,
  c,
  [135, 4],
  c,
  [131, 8],
  s,
  [62, 16],
  s,
  [107, 4, 1],
  s,
  [64, 6],
  111,
  112,
  s,
  [64, 14],
  s,
  [113, 4, 1],
  c,
  [199, 22],
  s,
  [69, 26],
  118,
  119,
  120,
  c,
  [355, 10],
  121,
  c,
  [356, 18],
  124,
  49,
  145,
  141,
  143,
  128,
  167,
  147,
  146,
  154,
  148,
  151,
  161,
  159,
  160,
  48,
  s,
  [133, 8, 1],
  142,
  144,
  149,
  150,
  152,
  153,
  s,
  [155, 4, 1],
  s,
  [162, 5, 1],
  168,
  s,
  [76, 8],
  169,
  170,
  s,
  [76, 21],
  171,
  s,
  [80, 4],
  172,
  s,
  [80, 6],
  173,
  174,
  s,
  [80, 21],
  c,
  [186, 10],
  c,
  [127, 11],
  c,
  [21, 126],
  14,
  c,
  [334, 22],
  c,
  [22, 44],
  79,
  187,
  76,
  77,
  43,
  189,
  c,
  [27, 21],
  s,
  [16, 4],
  193,
  s,
  [16, 5],
  79,
  194,
  76,
  77,
  195,
  79,
  196,
  85,
  77,
  199,
  s,
  [25, 4],
  201,
  200,
  202,
  203,
  204,
  206,
  207,
  c,
  [102, 32],
  c,
  [123, 33],
  c,
  [441, 3],
  212,
  c,
  [441, 9],
  c,
  [440, 24],
  c,
  [59, 7],
  214,
  c,
  [103, 95],
  c,
  [764, 42],
  c,
  [518, 146],
  c,
  [21, 63],
  201,
  231,
  c,
  [65, 63],
  c,
  [1248, 9],
  235,
  c,
  [377, 14],
  237,
  15,
  236,
  c,
  [1279, 4],
  239,
  238,
  240,
  101,
  c,
  [933, 4],
  242,
  c,
  [933, 34],
  c,
  [244, 105],
  s,
  [96, 34],
  71,
  72,
  c,
  [1463, 23],
  51,
  249,
  201,
  c,
  [1524, 28],
  254,
  255,
  s,
  [19, 4],
  193,
  s,
  [19, 5],
  79,
  257,
  76,
  77,
  79,
  258,
  193,
  c,
  [911, 44],
  263,
  264,
  266,
  265,
  267,
  268,
  s,
  [61, 15],
  101,
  201,
  269,
  271,
  270,
  s,
  [63, 16],
  c,
  [1383, 4],
  201,
  272,
  s,
  [65, 6],
  111,
  112,
  s,
  [65, 14],
  c,
  [1385, 4],
  s,
  [66, 6],
  111,
  112,
  s,
  [66, 14],
  c,
  [26, 4],
  s,
  [67, 6],
  111,
  112,
  s,
  [67, 14],
  c,
  [26, 4],
  s,
  [68, 6],
  111,
  112,
  s,
  [68, 14],
  c,
  [26, 4],
  s,
  [70, 26],
  c,
  [1441, 3],
  s,
  [71, 26],
  c,
  [29, 3],
  s,
  [72, 26],
  c,
  [29, 3],
  s,
  [73, 26],
  c,
  [29, 3],
  s,
  [74, 26],
  c,
  [29, 3],
  s,
  [75, 26],
  c,
  [29, 3],
  s,
  [77, 8],
  169,
  170,
  s,
  [77, 21],
  s,
  [78, 8],
  169,
  170,
  s,
  [78, 21],
  s,
  [79, 8],
  169,
  170,
  s,
  [79, 21],
  c,
  [1397, 9],
  273,
  c,
  [443, 14],
  275,
  c,
  [1674, 39],
  c,
  [505, 22],
  278,
  s,
  [81, 4],
  172,
  s,
  [81, 6],
  173,
  174,
  s,
  [81, 21],
  s,
  [82, 4],
  172,
  s,
  [82, 6],
  173,
  174,
  s,
  [82, 21],
  66,
  15,
  279,
  c,
  [882, 4],
  s,
  [28, 5],
  254,
  28,
  255,
  s,
  [28, 3],
  s,
  [41, 7],
  281,
  41,
  41,
  201,
  s,
  [282, 6, 1],
  c,
  [653, 44],
  c,
  [770, 9],
  290,
  c,
  [24, 14],
  291,
  293,
  294,
  17,
  c,
  [726, 23],
  s,
  [298, 4, 1],
  193,
  201,
  s,
  [303, 5, 1],
  193,
  309,
  310,
  311
])
}),
defaultActions: bda({
  idx: u([
  3,
  4,
  s,
  [6, 7, 1],
  14,
  21,
  27,
  28,
  s,
  [30, 4, 1],
  35,
  s,
  [37, 5, 1],
  s,
  [45, 5, 1],
  s,
  [52, 5, 1],
  64,
  65,
  67,
  68,
  71,
  72,
  73,
  s,
  [75, 4, 1],
  84,
  86,
  87,
  89,
  90,
  97,
  102,
  105,
  121,
  124,
  126,
  s,
  [129, 40, 1],
  171,
  175,
  s,
  [177, 7, 1],
  s,
  [185, 5, 1],
  192,
  194,
  198,
  206,
  s,
  [211, 4, 1],
  216,
  219,
  220,
  231,
  235,
  236,
  238,
  242,
  s,
  [245, 5, 1],
  251,
  s,
  [253, 7, 1],
  261,
  269,
  270,
  272,
  273,
  275,
  276,
  277,
  279,
  280,
  284,
  286,
  288,
  289,
  290,
  293,
  295,
  296,
  302,
  304,
  305,
  308,
  309,
  311
]),
  goto: u([
  2,
  4,
  s,
  [9, 5, 1],
  54,
  55,
  135,
  99,
  116,
  117,
  s,
  [124, 4, 1],
  129,
  s,
  [145, 10, 1],
  156,
  157,
  83,
  87,
  88,
  1,
  3,
  5,
  136,
  97,
  98,
  14,
  23,
  25,
  26,
  27,
  33,
  35,
  36,
  51,
  52,
  112,
  111,
  110,
  130,
  137,
  140,
  121,
  122,
  123,
  102,
  s,
  [158, 36, 1],
  155,
  s,
  [89, 7, 1],
  6,
  56,
  57,
  15,
  24,
  39,
  21,
  17,
  34,
  49,
  114,
  103,
  104,
  105,
  107,
  119,
  120,
  128,
  131,
  132,
  138,
  101,
  84,
  85,
  86,
  7,
  40,
  18,
  29,
  31,
  32,
  22,
  20,
  37,
  38,
  53,
  113,
  106,
  118,
  133,
  139,
  141,
  142,
  8,
  30,
  46,
  50,
  59,
  108,
  134,
  115,
  43,
  44,
  42,
  47,
  48,
  45,
  143,
  144
])
}),
parseError: function parseError(str, hash, ExceptionClass) {
    if (hash.recoverable) {
        this.trace(str);
        hash.destroy();             // destroy... well, *almost*!
    } else {
        throw new ExceptionClass(str, hash);
    }
},
parse: function parse(input) {
    var self = this,
        stack = new Array(128),         // token stack: stores token which leads to state at the same index (column storage)
        sstack = new Array(128),        // state stack: stores states (column storage)
        tstack = [],                    // token stack (only used when `%options token_stack` support has been enabled)
        vstack = new Array(128),        // semantic value stack
        lstack = new Array(128),        // location stack
        table = this.table,
        sp = 0;                         // 'stack pointer': index into the stacks

    var TERROR = this.TERROR,
        EOF = this.EOF,
        ERROR_RECOVERY_TOKEN_DISCARD_COUNT = (this.options.errorRecoveryTokenDiscardCount | 0) || 3;
    var NO_ACTION = [0, table.length /* ensures that anyone using this new state will fail dramatically! */];

    //this.reductionCount = this.shiftCount = 0;

    var lexer;
    if (this.__lexer__) {
        lexer = this.__lexer__;
    } else {
        lexer = this.__lexer__ = Object.create(this.lexer);
    }

    var sharedState_yy = {
        parseError: null,
        quoteName: null,
        lexer: null,
        parser: null,
        pre_parse: null,
        post_parse: null
    };
    // copy state
    for (var k in this.yy) {
      if (Object.prototype.hasOwnProperty.call(this.yy, k)) {
        sharedState_yy[k] = this.yy[k];
      }
    }

    sharedState_yy.lexer = lexer;
    sharedState_yy.parser = this;






    lexer.setInput(input, sharedState_yy);

    var yyloc = lexer.yylloc || {};
    lstack[sp] = yyloc;
    vstack[sp] = null;
    sstack[sp] = 0;
    stack[sp] = 0;
    ++sp;





    var ranges = lexer.options && lexer.options.ranges;

    // Does the shared state override the default `parseError` that already comes with this instance?
    if (typeof sharedState_yy.parseError === 'function') {
        this.parseError = function parseErrorAlt(str, hash, ExceptionClass) {
            return sharedState_yy.parseError(str, hash, ExceptionClass);
        };
    } else {
        this.parseError = this.originalParseError;
    }

    // Does the shared state override the default `quoteName` that already comes with this instance?
    if (typeof sharedState_yy.quoteName === 'function') {
        this.quoteName = sharedState_yy.quoteName;
    } else {
        this.quoteName = this.originalQuoteName;
    }

    // set up the cleanup function; make it an API so that external code can re-use this one in case of
    // calamities or when the `%options no-try-catch` option has been specified for the grammar, in which
    // case this parse() API method doesn't come with a `finally { ... }` block any more!
    //
    // NOTE: as this API uses parse() as a closure, it MUST be set again on every parse() invocation,
    //       or else your `sharedState`, etc. references will be *wrong*!
    this.cleanupAfterParse = function parser_cleanupAfterParse(resultValue, invoke_post_methods, do_not_nuke_errorinfos) {
        var rv;

        if (invoke_post_methods) {
            if (sharedState_yy.post_parse) {
                rv = sharedState_yy.post_parse.call(this, sharedState_yy, resultValue);
                if (typeof rv !== 'undefined') resultValue = rv;
            }
            if (this.post_parse) {
                rv = this.post_parse.call(this, sharedState_yy, resultValue);
                if (typeof rv !== 'undefined') resultValue = rv;
            }
        }

        if (this.__reentrant_call_depth > 1) return resultValue;        // do not (yet) kill the sharedState when this is a reentrant run.

        // clean up the lingering lexer structures as well:
        if (lexer.cleanupAfterLex) {
            lexer.cleanupAfterLex(do_not_nuke_errorinfos);
        }

        // prevent lingering circular references from causing memory leaks:
        if (sharedState_yy) {
            sharedState_yy.parseError = undefined;
            sharedState_yy.quoteName = undefined;
            sharedState_yy.lexer = undefined;
            sharedState_yy.parser = undefined;
            if (lexer.yy === sharedState_yy) {
                lexer.yy = undefined;
            }
        }
        sharedState_yy = undefined;
        this.parseError = this.originalParseError;
        this.quoteName = this.originalQuoteName;

        // nuke the vstack[] array at least as that one will still reference obsoleted user values.
        // To be safe, we nuke the other internal stack columns as well...
        stack.length = 0;               // fastest way to nuke an array without overly bothering the GC
        sstack.length = 0;
        lstack.length = 0;
        vstack.length = 0;
        sp = 0;

        // nuke the error hash info instances created during this run.
        // Userland code must COPY any data/references
        // in the error hash instance(s) it is more permanently interested in.
        if (!do_not_nuke_errorinfos) {
            for (var i = this.__error_infos.length - 1; i >= 0; i--) {
                var el = this.__error_infos[i];
                if (el && typeof el.destroy === 'function') {
                    el.destroy();
                }
            }
            this.__error_infos.length = 0;
        }

        return resultValue;
    };

    // NOTE: as this API uses parse() as a closure, it MUST be set again on every parse() invocation,
    //       or else your `lexer`, `sharedState`, etc. references will be *wrong*!
    this.constructParseErrorInfo = function parser_constructParseErrorInfo(msg, ex, expected, recoverable) {
        var pei = {
            errStr: msg,
            exception: ex,
            text: lexer.match,
            value: lexer.yytext,
            token: this.describeSymbol(symbol) || symbol,
            token_id: symbol,
            line: lexer.yylineno,
            loc: lexer.yylloc || {},
            expected: expected,
            recoverable: recoverable,
            state: state,
            action: action,
            new_state: newState,
            symbol_stack: stack,
            state_stack: sstack,
            value_stack: vstack,
            location_stack: lstack,
            stack_pointer: sp,
            yy: sharedState_yy,
            lexer: lexer,
            parser: this,

            // and make sure the error info doesn't stay due to potential
            // ref cycle via userland code manipulations.
            // These would otherwise all be memory leak opportunities!
            //
            // Note that only array and object references are nuked as those
            // constitute the set of elements which can produce a cyclic ref.
            // The rest of the members is kept intact as they are harmless.
            destroy: function destructParseErrorInfo() {
                // remove cyclic references added to error info:
                // info.yy = null;
                // info.lexer = null;
                // info.value = null;
                // info.value_stack = null;
                // ...
                var rec = !!this.recoverable;
                for (var key in this) {
                    if (this.hasOwnProperty(key) && typeof key === 'object') {
                        this[key] = undefined;
                    }
                }
                this.recoverable = rec;
            }
        };
        // track this instance so we can `destroy()` it once we deem it superfluous and ready for garbage collection!
        this.__error_infos.push(pei);
        return pei;
    };


    // lex function that supports token stacks
    function lex() {
        var token;
        token = tstack.pop() || lexer.lex() || EOF;
        // if token isn't its numeric value, convert
        if (typeof token !== 'number') {
            if (token instanceof Array) {
                tstack = token;
                token = tstack.pop();
            }
            // if token isn't its numeric value, convert
            if (typeof token !== 'number') {
                token = self.symbols_[token] || token;
            }
        }
        return token || EOF;
    }


    var symbol = 0;

    var state, action, r, t;
    var yyval = {
        $: true,
        _$: undefined,
        yy: sharedState_yy
    };
    var p, len, this_production;
    var lstack_begin, lstack_end;
    var newState;
    var retval = false;


    try {
        this.__reentrant_call_depth++;

        if (this.pre_parse) {
            this.pre_parse.call(this, sharedState_yy);
        }
        if (sharedState_yy.pre_parse) {
            sharedState_yy.pre_parse.call(this, sharedState_yy);
        }

        newState = sstack[sp - 1];
        for (;;) {
            // retrieve state number from top of stack
            state = newState;               // sstack[sp - 1];

            // use default actions if available
            if (this.defaultActions[state]) {
                action = 2;
                newState = this.defaultActions[state];
            } else {
                // The single `==` condition below covers both these `===` comparisons in a single
                // operation:
                //
                //     if (symbol === null || typeof symbol === 'undefined') ...
                if (!symbol) {
                    symbol = lex();
                }
                // read action for current state and first input
                t = (table[state] && table[state][symbol]) || NO_ACTION;
                newState = t[1];
                action = t[0];




                // handle parse error
                if (!action) {
                    var errStr;
                    var errSymbolDescr = (this.describeSymbol(symbol) || symbol);
                    var expected = this.collect_expected_token_set(state);

                    // Report error
                    if (typeof lexer.yylineno === 'number') {
                        errStr = 'Parse error on line ' + (lexer.yylineno + 1) + ': ';
                    } else {
                        errStr = 'Parse error: ';
                    }
                    if (lexer.showPosition) {
                        errStr += '\n' + lexer.showPosition(79 - 10, 10) + '\n';
                    }
                    if (expected.length) {
                        errStr += 'Expecting ' + expected.join(', ') + ', got unexpected ' + errSymbolDescr;
                    } else {
                        errStr += 'Unexpected ' + errSymbolDescr;
                    }
                    // we cannot recover from the error!
                    p = this.constructParseErrorInfo(errStr, null, expected, false);
                    retval = this.parseError(p.errStr, p, this.JisonParserError);
                    break;
                }


            }









            switch (action) {
            // catch misc. parse failures:
            default:
                // this shouldn't happen, unless resolve defaults are off
                if (action instanceof Array) {
                    p = this.constructParseErrorInfo(('Parse Error: multiple actions possible at state: ' + state + ', token: ' + symbol), null, null, false);
                    retval = this.parseError(p.errStr, p, this.JisonParserError);
                    break;
                }
                // Another case of better safe than sorry: in case state transitions come out of another error recovery process
                // or a buggy LUT (LookUp Table):
                p = this.constructParseErrorInfo('Parsing halted. No viable error recovery approach available due to internal system failure.', null, null, false);
                retval = this.parseError(p.errStr, p, this.JisonParserError);
                break;

            // shift:
            case 1:
                //this.shiftCount++;
                stack[sp] = symbol;
                vstack[sp] = lexer.yytext;
                lstack[sp] = lexer.yylloc || {};
                sstack[sp] = newState; // push state
                ++sp;
                symbol = 0;

                    // Pick up the lexer details for the current symbol as that one is not 'look-ahead' any more:



                    yyloc = lexer.yylloc || {};






                




                continue;

            // reduce:
            case 2:
                //this.reductionCount++;
                this_production = this.productions_[newState - 1];  // `this.productions_[]` is zero-based indexed while states start from 1 upwards...
                len = this_production[1];
                lstack_end = sp;
                lstack_begin = lstack_end - (len || 1);
                lstack_end--;



                // Make sure subsequent `$$ = $1` default action doesn't fail
                // for rules where len==0 as then there's no $1 (you're reducing an epsilon rule then!)
                //
                // Also do this to prevent nasty action block codes to *read* `$0` or `$$`
                // and *not* get `undefined` as a result for their efforts!
                vstack[sp] = undefined;

                // perform semantic action
                yyval.$ = vstack[sp - len]; // default to $$ = $1; result must produce `undefined` when len == 0, as then there's no $1

                // default location, uses first token for firsts, last for lasts
                yyval._$ = {
                    first_line: lstack[lstack_begin].first_line,
                    last_line: lstack[lstack_end].last_line,
                    first_column: lstack[lstack_begin].first_column,
                    last_column: lstack[lstack_end].last_column
                };
                if (ranges) {
                  yyval._$.range = [lstack[lstack_begin].range[0], lstack[lstack_end].range[1]];
                }

                r = this.performAction.call(yyval, yyloc, newState, sp - 1, vstack, lstack);

                if (typeof r !== 'undefined') {
                    retval = r;
                    break;
                }

                // pop off stack
                sp -= len;

                // don't overwrite the `symbol` variable: use a local var to speed things up:
                var ntsymbol = this_production[0];    // push nonterminal (reduce)
                stack[sp] = ntsymbol;
                vstack[sp] = yyval.$;
                lstack[sp] = yyval._$;
                // goto new state = table[STATE][NONTERMINAL]
                newState = table[sstack[sp - 1]][ntsymbol];
                sstack[sp] = newState;
                ++sp;

                continue;

            // accept:
            case 3:
                retval = true;
                // Return the `$accept` rule's `$$` result, if available.
                //
                // Also note that JISON always adds this top-most `$accept` rule (with implicit,
                // default, action):
                //
                //     $accept: <startSymbol> $end
                //                  %{ $$ = $1; @$ = @1; %}
                //
                // which, combined with the parse kernel's `$accept` state behaviour coded below,
                // will produce the `$$` value output of the <startSymbol> rule as the parse result,
                // IFF that result is *not* `undefined`. (See also the parser kernel code.)
                //
                // In code:
                //
                //                  %{
                //                      @$ = @1;            // if location tracking support is included
                //                      if (typeof $1 !== 'undefined')
                //                          return $1;
                //                      else
                //                          return true;           // the default parse result if the rule actions don't produce anything
                //                  %}
                if (typeof yyval.$ !== 'undefined') {
                    retval = yyval.$;
                }
                break;
            }

            // break out of loop: we accept or fail with error
            break;
        }
    } catch (ex) {
        // report exceptions through the parseError callback too:
        p = this.constructParseErrorInfo('Parsing aborted due to exception.', ex, null, false);
        retval = this.parseError(p.errStr, p, this.JisonParserError);
    } finally {
        retval = this.cleanupAfterParse(retval, true, true);
        this.__reentrant_call_depth--;
    }

    return retval;
}
};
parser.originalParseError = parser.parseError;
parser.originalQuoteName = parser.quoteName;

/* eslint-disable no-undef,no-unused-vars */
function SourceLocation(source, start, end) {
  this.source = source
  this.start = start
  this.end = end
}

function Position(line, column) {
  this.line = line
  this.column = column
}

function createSourceLocation(firstToken, lastToken) {
  return new SourceLocation(
    parser.source, // Some sort of magic. In this way we can pass filename into jison generated parser.
    new Position(firstToken.first_line, firstToken.first_column),
    new Position(lastToken.last_line, lastToken.last_column)
  )
}

function parseRegularExpressionLiteral(literal) {
  const last = literal.lastIndexOf('/')
  const body = literal.substring(1, last)
  const flags = literal.substring(last + 1)

  return new RegExp(body, flags)
}

function parseNumericLiteral(literal) {
  if (literal.charAt(0) === '0') {
    if (literal.charAt(1).toLowerCase() === 'x') {
      return parseInt(literal, 16)
    } else {
      return parseInt(literal, 8)
    }
  } else {
    return Number(literal)
  }
}

/* Begin Parser Customization Methods */
const originalParseMethod = parser.parse

parser.parse = function (source, code) {
  parser.source = source
  // Insert final newline
  if (!/\n$/.test(code)) {
    code += '\n'
  }
  return originalParseMethod.call(this, code)
}

exports.lex = function (code) {
  const lexer = parser.Parser.prototype.lexer
  const terminals = parser.Parser.prototype.terminals_

  lexer.setInput(code)
  let stack = []
  const lex = () => {
    let token = stack.pop() || lexer.lex()
    if (Array.isArray(token)) {
      stack = token
      token = stack.pop()
    }
    // if token is numeric value, convert
    if (typeof token === 'number') {
      token = terminals[token] || token
    }
    return token
  }

  let token, lexemes = [], i = 0
  do {
    token = lex()
    lexemes.push([token, JSON.stringify(lexer.yytext)])
  } while (token !== 1 && token !== 'EOF')

  return lexemes
}
/* End Parser Customization Methods */
function DocumentNode(children, loc) {
  this.type = 'Document'
  this.children = children
  this.loc = loc
}

function TextNode(children, loc) {
  this.type = 'Text'
  this.children = children
  this.loc = loc
}

function CommentNode(comment, loc) {
  this.type = 'Comment'
  this.comment = comment
  this.loc = loc
}

function ElementNode(name, attributes, children, loc) {
  this.type = 'Element'
  this.name = name
  this.attributes = attributes
  this.children = children
  this.loc = loc
}

function AttributeNode(name, value, loc) {
  this.type = 'Attribute'
  this.name = name.trim()
  this.value = value
  this.loc = loc
}

function SpreadAttributeNode(identifier, loc) {
  this.type = 'SpreadAttribute'
  this.identifier = identifier
  this.loc = loc
}

function ExpressionNode(expression, loc) {
  this.type = 'Expression'
  this.expression = expression
  this.loc = loc
}

function ImportStatementNode(identifier, path, loc) {
  this.type = 'ImportStatement'
  this.identifier = identifier
  this.path = path
  this.loc = loc
}

function IfStatementNode(cond, then, otherwise, loc) {
  this.type = 'IfStatement'
  this.cond = cond
  this.then = then
  this.otherwise = otherwise
  this.loc = loc
}

function ForStatementNode(expression, children, currentValue, index, loc) {
  this.type = 'ForStatement'
  this.expression = expression
  this.children = children
  this.currentValue = currentValue
  this.index = index
  this.loc = loc
}

function ThisExpressionNode(loc) {
  this.type = 'ThisExpression'
  this.loc = loc
}

function ArrayExpressionNode(elements, loc) {
  this.type = 'ArrayExpression'
  this.elements = elements
  this.loc = loc
}

function ObjectExpressionNode(properties, loc) {
  this.type = 'ObjectExpression'
  this.properties = properties
  this.loc = loc
}

function SequenceExpressionNode(expressions, loc) {
  this.type = 'SequenceExpression'
  this.expressions = expressions
  this.loc = loc
}

function UnaryExpressionNode(operator, prefix, argument, loc) {
  this.type = 'UnaryExpression'
  this.operator = operator
  this.prefix = prefix
  this.argument = argument
  this.loc = loc
}

function BinaryExpressionNode(operator, left, right, loc) {
  this.type = 'BinaryExpression'
  this.operator = operator
  this.left = left
  this.right = right
  this.loc = loc
}

function AssignmentExpressionNode(operator, left, right, loc) {
  this.type = 'AssignmentExpression'
  this.operator = operator
  this.left = left
  this.right = right
  this.loc = loc
}

function UpdateExpressionNode(operator, argument, prefix, loc) {
  this.type = 'UpdateExpression'
  this.operator = operator
  this.argument = argument
  this.prefix = prefix
  this.loc = loc
}

function LogicalExpressionNode(operator, left, right, loc) {
  this.type = 'LogicalExpression'
  this.operator = operator
  this.left = left
  this.right = right
  this.loc = loc
}

function ConditionalExpressionNode(test, consequent, alternate, loc) {
  this.type = 'ConditionalExpression'
  this.test = test
  this.consequent = consequent
  this.alternate = alternate
  this.loc = loc
}

function NewExpressionNode(callee, args, loc) {
  this.type = 'NewExpression'
  this.callee = callee
  this.arguments = args
  this.loc = loc
}

function CallExpressionNode(callee, args, loc) {
  this.type = 'CallExpression'
  this.callee = callee
  this.arguments = args
  this.loc = loc
}

function MemberExpressionNode(object, property, computed, loc) {
  this.type = 'MemberExpression'
  this.object = object
  this.property = property
  this.computed = computed
  this.loc = loc
}

function IdentifierNode(name, loc) {
  this.type = 'Identifier'
  this.name = name
  this.loc = loc
}

function AccessorNode(name, loc) {
  this.type = 'Accessor'
  this.name = name
  this.loc = loc
}

function LiteralNode(value, loc) {
  this.type = 'Literal'
  this.value = value
  this.loc = loc
}

const ast = exports.ast = {}
ast.DocumentNode = DocumentNode
ast.TextNode = TextNode
ast.CommentNode = CommentNode
ast.ElementNode = ElementNode
ast.AttributeNode = AttributeNode
ast.SpreadAttributeNode = SpreadAttributeNode
ast.ExpressionNode = ExpressionNode
ast.ImportStatementNode = ImportStatementNode
ast.IfStatementNode = IfStatementNode
ast.ForStatementNode = ForStatementNode
ast.ThisExpressionNode = ThisExpressionNode
ast.ArrayExpressionNode = ArrayExpressionNode
ast.ObjectExpressionNode = ObjectExpressionNode
ast.SequenceExpressionNode = SequenceExpressionNode
ast.UnaryExpressionNode = UnaryExpressionNode
ast.BinaryExpressionNode = BinaryExpressionNode
ast.AssignmentExpressionNode = AssignmentExpressionNode
ast.UpdateExpressionNode = UpdateExpressionNode
ast.LogicalExpressionNode = LogicalExpressionNode
ast.ConditionalExpressionNode = ConditionalExpressionNode
ast.NewExpressionNode = NewExpressionNode
ast.CallExpressionNode = CallExpressionNode
ast.MemberExpressionNode = MemberExpressionNode
ast.IdentifierNode = IdentifierNode
ast.AccessorNode = AccessorNode
ast.LiteralNode = LiteralNode;
/* lexer generated by jison-lex 0.3.4-166 */
/*
 * Returns a Lexer object of the following structure:
 *
 *  Lexer: {
 *    yy: {}     The so-called "shared state" or rather the *source* of it;
 *               the real "shared state" `yy` passed around to
 *               the rule actions, etc. is a derivative/copy of this one,
 *               not a direct reference!
 *  }
 *
 *  Lexer.prototype: {
 *    yy: {},
 *    EOF: 1,
 *    ERROR: 2,
 *
 *    JisonLexerError: function(msg, hash),
 *
 *    performAction: function lexer__performAction(yy, yy_, $avoiding_name_collisions, YY_START, ...),
 *               where `...` denotes the (optional) additional arguments the user passed to
 *               `lexer.lex(...)` and specified by way of `%parse-param ...` in the **parser** grammar file
 *
 *               The function parameters and `this` have the following value/meaning:
 *               - `this`    : reference to the `lexer` instance.
 *
 *               - `yy`      : a reference to the `yy` "shared state" object which was passed to the lexer
 *                             by way of the `lexer.setInput(str, yy)` API before.
 *
 *               - `yy_`     : lexer instance reference used internally.
 *
 *               - `$avoiding_name_collisions`   : index of the matched lexer rule (regex), used internally.
 *
 *               - `YY_START`: the current lexer "start condition" state.
 *
 *               - `...`     : the extra arguments you specified in the `%parse-param` statement in your
 *                             **parser** grammar definition file and which are passed to the lexer via
 *                             its `lexer.lex(...)` API.
 *
 *    parseError: function(str, hash, ExceptionClass),
 *
 *    constructLexErrorInfo: function(error_message, is_recoverable),
 *               Helper function.
 *               Produces a new errorInfo 'hash object' which can be passed into `parseError()`.
 *               See it's use in this lexer kernel in many places; example usage:
 *
 *                   var infoObj = lexer.constructParseErrorInfo('fail!', true);
 *                   var retVal = lexer.parseError(infoObj.errStr, infoObj, lexer.JisonLexerError);
 *
 *    options: { ... lexer %options ... },
 *
 *    lex: function([args...]),
 *               Produce one token of lexed input, which was passed in earlier via the `lexer.setInput()` API.
 *               You MAY use the additional `args...` parameters as per `%parse-param` spec of the **parser** grammar:
 *               these extra `args...` are passed verbatim to the lexer rules' action code.
 *
 *    cleanupAfterLex: function(do_not_nuke_errorinfos),
 *               Helper function.
 *               This helper API is invoked when the parse process has completed. This helper may
 *               be invoked by user code to ensure the internal lexer gets properly garbage collected.
 *
 *        setInput: function(input, [yy]),
 *        input: function(),
 *        unput: function(str),
 *        more: function(),
 *        reject: function(),
 *        less: function(n),
 *        pastInput: function(n),
 *        upcomingInput: function(n),
 *        showPosition: function(),
 *        test_match: function(regex_match_array, rule_index),
 *        next: function(...),
 *        lex: function(...),
 *        begin: function(condition),
 *        pushState: function(condition),
 *        popState: function(),
 *        topState: function(),
 *        _currentRules: function(),
 *        stateStackSize: function(),
 *
 *        options: { ... lexer %options ... },
 *
 *        performAction: function(yy, yy_, $avoiding_name_collisions, YY_START, ...),
 *        rules: [...],
 *        conditions: {associative list: name ==> set},
 *  }
 *
 *
 *  token location info (`yylloc`): {
 *    first_line: n,
 *    last_line: n,
 *    first_column: n,
 *    last_column: n,
 *    range: [start_number, end_number]
 *               (where the numbers are indexes into the input string, zero-based)
 *  }
 *
 * ---
 *
 * The `parseError` function receives a 'hash' object with these members for lexer errors:
 *
 *  {
 *    text:        (matched text)
 *    token:       (the produced terminal token, if any)
 *    token_id:    (the produced terminal token numeric ID, if any)
 *    line:        (yylineno)
 *    loc:         (yylloc)
 *    recoverable: (boolean: TRUE when the parser MAY have an error recovery rule
 *                  available for this particular error)
 *    yy:          (object: the current parser internal "shared state" `yy`
 *                  as is also available in the rule actions; this can be used,
 *                  for instance, for advanced error analysis and reporting)
 *    lexer:       (reference to the current lexer instance used by the parser)
 *  }
 *
 * while `this` will reference the current lexer instance.
 *
 * When `parseError` is invoked by the lexer, the default implementation will
 * attempt to invoke `yy.parser.parseError()`; when this callback is not provided
 * it will try to invoke `yy.parseError()` instead. When that callback is also not
 * provided, a `JisonLexerError` exception will be thrown containing the error
 * message and `hash`, as constructed by the `constructLexErrorInfo()` API.
 *
 * Note that the lexer's `JisonLexerError` error class is passed via the
 * `ExceptionClass` argument, which is invoked to construct the exception
 * instance to be thrown, so technically `parseError` will throw the object
 * produced by the `new ExceptionClass(str, hash)` JavaScript expression.
 *
 * ---
 *
 * You can specify lexer options by setting / modifying the `.options` object of your Lexer instance.
 * These options are available:
 *
 * (Options are permanent.)
 *  
 *  yy: {
 *      parseError: function(str, hash, ExceptionClass)
 *                 optional: overrides the default `parseError` function.
 *  }
 *
 *  lexer.options: {
 *      pre_lex:  function()
 *                 optional: is invoked before the lexer is invoked to produce another token.
 *                 `this` refers to the Lexer object.
 *      post_lex: function(token) { return token; }
 *                 optional: is invoked when the lexer has produced a token `token`;
 *                 this function can override the returned token value by returning another.
 *                 When it does not return any (truthy) value, the lexer will return
 *                 the original `token`.
 *                 `this` refers to the Lexer object.
 *
 * WARNING: the next set of options are not meant to be changed. They echo the abilities of
 * the lexer as per when it was compiled!
 *
 *      ranges: boolean
 *                 optional: `true` ==> token location info will include a .range[] member.
 *      flex: boolean
 *                 optional: `true` ==> flex-like lexing behaviour where the rules are tested
 *                 exhaustively to find the longest match.
 *      backtrack_lexer: boolean
 *                 optional: `true` ==> lexer regexes are tested in order and for invoked;
 *                 the lexer terminates the scan when a token is returned by the action code.
 *      xregexp: boolean
 *                 optional: `true` ==> lexer rule regexes are "extended regex format" requiring the
 *                 `XRegExp` library. When this %option has not been specified at compile time, all lexer
 *                 rule regexes have been written as standard JavaScript RegExp expressions.
 *  }
 */


var lexer = (function () {
// See also:
// http://stackoverflow.com/questions/1382107/whats-a-good-way-to-extend-error-in-javascript/#35881508
// but we keep the prototype.constructor and prototype.name assignment lines too for compatibility
// with userland code which might access the derived class in a 'classic' way.
function JisonLexerError(msg, hash) {
    Object.defineProperty(this, 'name', {
        enumerable: false,
        writable: false,
        value: 'JisonLexerError'
    });

    if (msg == null) msg = '???';

    Object.defineProperty(this, 'message', {
        enumerable: false,
        writable: true,
        value: msg
    });

    this.hash = hash;

    var stacktrace;
    if (hash && hash.exception instanceof Error) {
        var ex2 = hash.exception;
        this.message = ex2.message || msg;
        stacktrace = ex2.stack;
    }
    if (!stacktrace) {
        if (Error.hasOwnProperty('captureStackTrace')) { // V8
            Error.captureStackTrace(this, this.constructor);
        } else {
            stacktrace = (new Error(msg)).stack;
        }
    }
    if (stacktrace) {
        Object.defineProperty(this, 'stack', {
            enumerable: false,
            writable: false,
            value: stacktrace
        });
    }
}

if (typeof Object.setPrototypeOf === 'function') {
    Object.setPrototypeOf(JisonLexerError.prototype, Error.prototype);
} else {
    JisonLexerError.prototype = Object.create(Error.prototype);
}
JisonLexerError.prototype.constructor = JisonLexerError;
JisonLexerError.prototype.name = 'JisonLexerError';




var lexer = {
    // Code Generator Information Report
    // ---------------------------------
    //
    // Options:
    //   backtracking:        false
    //   location.ranges:     undefined
    //
    // Forwarded Parser Analysis flags:
    //   uses yyleng:         false
    //   uses yylineno:       false
    //   uses yytext:         false
    //   uses yylloc:         false
    //   uses lexer values:   true / true
    //   location tracking:   true
    //   location assignment: false
    //
    // --------- END OF REPORT -----------


    EOF: 1,
    ERROR: 2,

    // JisonLexerError: JisonLexerError,        // <-- injected by the code generator

    // options: {},                             // <-- injected by the code generator

    // yy: ...,                                 // <-- injected by setInput()

    __currentRuleSet__: null,                   // <-- internal rule set cache for the current lexer state

    __error_infos: [],                          // INTERNAL USE ONLY: the set of lexErrorInfo objects created since the last cleanup

    __decompressed: false,                      // INTERNAL USE ONLY: mark whether the lexer instance has been 'unfolded' completely and is now ready for use

    done: false,                                // INTERNAL USE ONLY
    _backtrack: false,                          // INTERNAL USE ONLY
    _input: '',                                 // INTERNAL USE ONLY
    _more: false,                               // INTERNAL USE ONLY
    _signaled_error_token: false,               // INTERNAL USE ONLY

    conditionStack: [],                         // INTERNAL USE ONLY; managed via `pushState()`, `popState()`, `topState()` and `stateStackSize()`

    match: '',                                  // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: tracks input which has been matched so far for the lexer token under construction. `match` is identical to `yytext` except that this one still contains the matched input string after `lexer.performAction()` has been invoked, where userland code MAY have changed/replaced the `yytext` value entirely!
    matched: '',                                // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: tracks entire input which has been matched so far
    matches: false,                             // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: tracks RE match result for last (successful) match attempt
    yytext: '',                                 // ADVANCED USE ONLY: tracks input which has been matched so far for the lexer token under construction; this value is transferred to the parser as the 'token value' when the parser consumes the lexer token produced through a call to the `lex()` API.
    offset: 0,                                  // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: tracks the 'cursor position' in the input string, i.e. the number of characters matched so far
    yyleng: 0,                                  // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: length of matched input for the token under construction (`yytext`)
    yylineno: 0,                                // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: 'line number' at which the token under construction is located
    yylloc: null,                               // READ-ONLY EXTERNAL ACCESS - ADVANCED USE ONLY: tracks location info (lines + columns) for the token under construction

    // INTERNAL USE: construct a suitable error info hash object instance for `parseError`.
    /**
    @public 
    @this {RegExpLexer} 
    */
    constructLexErrorInfo: function lexer_constructLexErrorInfo(msg, recoverable) {
        /** @constructor */
        var pei = {
            errStr: msg,
            recoverable: !!recoverable,
            text: this.match,           // This one MAY be empty; userland code should use the `upcomingInput` API to obtain more text which follows the 'lexer cursor position'...
            token: null,
            line: this.yylineno,
            loc: this.yylloc,
            yy: this.yy,
            lexer: this,

            // and make sure the error info doesn't stay due to potential
            // ref cycle via userland code manipulations.
            // These would otherwise all be memory leak opportunities!
            //
            // Note that only array and object references are nuked as those
            // constitute the set of elements which can produce a cyclic ref.
            // The rest of the members is kept intact as they are harmless.
            /** 
            @public 
            @this {LexErrorInfo} 
            */
            destroy: function destructLexErrorInfo() {
                // remove cyclic references added to error info:
                // info.yy = null;
                // info.lexer = null;
                // ...
                var rec = !!this.recoverable;
                for (var key in this) {
                    if (this.hasOwnProperty(key) && typeof key === 'object') {
                        this[key] = undefined;
                    }
                }
                this.recoverable = rec;
            }
        };
        // track this instance so we can `destroy()` it once we deem it superfluous and ready for garbage collection!
        this.__error_infos.push(pei);
        return pei;
    },

    /** 
    @public 
    @this {RegExpLexer} 
    */
    parseError: function lexer_parseError(str, hash, ExceptionClass) {
        if (this.yy.parser && typeof this.yy.parser.parseError === 'function') {
            return this.yy.parser.parseError(str, hash, ExceptionClass) || this.ERROR;
        } else if (typeof this.yy.parseError === 'function') {
            return this.yy.parseError(str, hash, ExceptionClass) || this.ERROR;
        } else {
            throw new ExceptionClass(str, hash);
        }
    },

    // final cleanup function for when we have completed lexing the input;
    // make it an API so that external code can use this one once userland
    // code has decided it's time to destroy any lingering lexer error
    // hash object instances and the like: this function helps to clean
    // up these constructs, which *may* carry cyclic references which would
    // otherwise prevent the instances from being properly and timely
    // garbage-collected, i.e. this function helps prevent memory leaks!
    /** 
    @public 
    @this {RegExpLexer} 
    */
    cleanupAfterLex: function lexer_cleanupAfterLex(do_not_nuke_errorinfos) {
        var rv;

        // prevent lingering circular references from causing memory leaks:
        this.setInput('', {});

        // nuke the error hash info instances created during this run.
        // Userland code must COPY any data/references
        // in the error hash instance(s) it is more permanently interested in.
        if (!do_not_nuke_errorinfos) {
            for (var i = this.__error_infos.length - 1; i >= 0; i--) {
                var el = this.__error_infos[i];
                if (el && typeof el.destroy === 'function') {
                    el.destroy();
                }
            }
            this.__error_infos.length = 0;
        }

        return this;
    },

    // clear the lexer token context; intended for internal use only
    /** 
    @public 
    @this {RegExpLexer} 
    */
    clear: function lexer_clear() {
        this.yytext = '';
        this.yyleng = 0;
        this.match = '';
        this.matches = false;
        this._more = false;
        this._backtrack = false;
    },

    // resets the lexer, sets new input
    /** 
    @public 
    @this {RegExpLexer} 
    */
    setInput: function lexer_setInput(input, yy) {
        this.yy = yy || this.yy || {};

        // also check if we've fully initialized the lexer instance,
        // including expansion work to be done to go from a loaded
        // lexer to a usable lexer:
        if (!this.__decompressed) {
          // step 1: decompress the regex list:
          var rules = this.rules;
          for (var i = 0, len = rules.length; i < len; i++) {
            var rule_re = rules[i];

            // compression: is the RE an xref to another RE slot in the rules[] table?
            if (typeof rule_re === 'number') {
              rules[i] = rules[rule_re];
            }
          }

          // step 2: unfold the conditions[] set to make these ready for use:
          var conditions = this.conditions;
          for (var k in conditions) {
            var spec = conditions[k];

            var rule_ids = spec.rules;

            var len = rule_ids.length;
            var rule_regexes = new Array(len + 1);            // slot 0 is unused; we use a 1-based index approach here to keep the hottest code in `lexer_next()` fast and simple!
            var rule_new_ids = new Array(len + 1);

            for (var i = 0; i < len; i++) {
              var idx = rule_ids[i];
              var rule_re = rules[idx];
              rule_regexes[i + 1] = rule_re;
              rule_new_ids[i + 1] = idx;
            }

            spec.rules = rule_new_ids;
            spec.__rule_regexes = rule_regexes;
            spec.__rule_count = len;
          }

          this.__decompressed = true;
        }

        this._input = input || '';
        this.clear();
        this._signaled_error_token = false;
        this.done = false;
        this.yylineno = 0;
        this.matched = '';
        this.conditionStack = ['INITIAL'];
        this.__currentRuleSet__ = null;
        this.yylloc = {
            first_line: 1,
            first_column: 0,
            last_line: 1,
            last_column: 0
        };
        if (this.options.ranges) {
            this.yylloc.range = [0, 0];
        }
        this.offset = 0;
        return this;
    },

    // consumes and returns one char from the input
    /** 
    @public 
    @this {RegExpLexer} 
    */
    input: function lexer_input() {
        if (!this._input) {
            //this.done = true;    -- don't set `done` as we want the lex()/next() API to be able to produce one custom EOF token match after this anyhow. (lexer can match special <<EOF>> tokens and perform user action code for a <<EOF>> match, but only does so *once*)
            return null;
        }
        var ch = this._input[0];
        this.yytext += ch;
        this.yyleng++;
        this.offset++;
        this.match += ch;
        this.matched += ch;
        // Count the linenumber up when we hit the LF (or a stand-alone CR).
        // On CRLF, the linenumber is incremented when you fetch the CR or the CRLF combo
        // and we advance immediately past the LF as well, returning both together as if
        // it was all a single 'character' only.
        var slice_len = 1;
        var lines = false;
        if (ch === '\n') {
            lines = true;
        } else if (ch === '\r') {
            lines = true;
            var ch2 = this._input[1];
            if (ch2 === '\n') {
                slice_len++;
                ch += ch2;
                this.yytext += ch2;
                this.yyleng++;
                this.offset++;
                this.match += ch2;
                this.matched += ch2;
                if (this.options.ranges) {
                    this.yylloc.range[1]++;
                }
            }
        }
        if (lines) {
            this.yylineno++;
            this.yylloc.last_line++;
        } else {
            this.yylloc.last_column++;
        }
        if (this.options.ranges) {
            this.yylloc.range[1]++;
        }

        this._input = this._input.slice(slice_len);
        return ch;
    },

    // unshifts one char (or a string) into the input
    /** 
    @public 
    @this {RegExpLexer} 
    */
    unput: function lexer_unput(ch) {
        var len = ch.length;
        var lines = ch.split(/(?:\r\n?|\n)/g);

        this._input = ch + this._input;
        this.yytext = this.yytext.substr(0, this.yytext.length - len);
        //this.yyleng -= len;
        this.offset -= len;
        var oldLines = this.match.split(/(?:\r\n?|\n)/g);
        this.match = this.match.substr(0, this.match.length - len);
        this.matched = this.matched.substr(0, this.matched.length - len);

        if (lines.length - 1) {
            this.yylineno -= lines.length - 1;
        }

        this.yylloc.last_line = this.yylineno + 1;
        this.yylloc.last_column = (lines ?
                (lines.length === oldLines.length ? this.yylloc.first_column : 0)
                + oldLines[oldLines.length - lines.length].length - lines[0].length :
                this.yylloc.first_column - len);

        if (this.options.ranges) {
            this.yylloc.range[1] = this.yylloc.range[0] + this.yyleng - len;
        }
        this.yyleng = this.yytext.length;
        this.done = false;
        return this;
    },

    // When called from action, caches matched text and appends it on next action
    /** 
    @public 
    @this {RegExpLexer} 
    */
    more: function lexer_more() {
        this._more = true;
        return this;
    },

    // When called from action, signals the lexer that this rule fails to match the input, so the next matching rule (regex) should be tested instead.
    /** 
    @public 
    @this {RegExpLexer} 
    */
    reject: function lexer_reject() {
        if (this.options.backtrack_lexer) {
            this._backtrack = true;
        } else {
            // when the `parseError()` call returns, we MUST ensure that the error is registered.
            // We accomplish this by signaling an 'error' token to be produced for the current
            // `.lex()` run.
            var p = this.constructLexErrorInfo('Lexical error on line ' + (this.yylineno + 1) + '. You can only invoke reject() in the lexer when the lexer is of the backtracking persuasion (options.backtrack_lexer = true).\n' + this.showPosition(), false);
            this._signaled_error_token = (this.parseError(p.errStr, p, this.JisonLexerError) || this.ERROR);
        }
        return this;
    },

    // retain first n characters of the match
    /** 
    @public 
    @this {RegExpLexer} 
    */
    less: function lexer_less(n) {
        return this.unput(this.match.slice(n));
    },

    // return (part of the) already matched input, i.e. for error messages.
    // Limit the returned string length to `maxSize` (default: 20).
    // Limit the returned string to the `maxLines` number of lines of input (default: 1).
    // Negative limit values equal *unlimited*.
    /** 
    @public 
    @this {RegExpLexer} 
    */
    pastInput: function lexer_pastInput(maxSize, maxLines) {
        var past = this.matched.substring(0, this.matched.length - this.match.length);
        if (maxSize < 0)
            maxSize = past.length;
        else if (!maxSize)
            maxSize = 20;
        if (maxLines < 0)
            maxLines = past.length;         // can't ever have more input lines than this!
        else if (!maxLines)
            maxLines = 1;
        // `substr` anticipation: treat \r\n as a single character and take a little
        // more than necessary so that we can still properly check against maxSize
        // after we've transformed and limited the newLines in here:
        past = past.substr(-maxSize * 2 - 2);
        // now that we have a significantly reduced string to process, transform the newlines
        // and chop them, then limit them:
        var a = past.replace(/\r\n|\r/g, '\n').split('\n');
        a = a.slice(-maxLines);
        past = a.join('\n');
        // When, after limiting to maxLines, we still have too much to return,
        // do add an ellipsis prefix...
        if (past.length > maxSize) {
            past = '...' + past.substr(-maxSize);
        }
        return past;
    },

    // return (part of the) upcoming input, i.e. for error messages.
    // Limit the returned string length to `maxSize` (default: 20).
    // Limit the returned string to the `maxLines` number of lines of input (default: 1).
    // Negative limit values equal *unlimited*.
    /** 
    @public 
    @this {RegExpLexer} 
    */
    upcomingInput: function lexer_upcomingInput(maxSize, maxLines) {
        var next = this.match;
        if (maxSize < 0)
            maxSize = next.length + this._input.length;
        else if (!maxSize)
            maxSize = 20;
        if (maxLines < 0)
            maxLines = maxSize;         // can't ever have more input lines than this!
        else if (!maxLines)
            maxLines = 1;
        // `substring` anticipation: treat \r\n as a single character and take a little
        // more than necessary so that we can still properly check against maxSize
        // after we've transformed and limited the newLines in here:
        if (next.length < maxSize * 2 + 2) {
            next += this._input.substring(0, maxSize * 2 + 2);  // substring is faster on Chrome/V8
        }
        // now that we have a significantly reduced string to process, transform the newlines
        // and chop them, then limit them:
        var a = next.replace(/\r\n|\r/g, '\n').split('\n');
        a = a.slice(0, maxLines);
        next = a.join('\n');
        // When, after limiting to maxLines, we still have too much to return,
        // do add an ellipsis postfix...
        if (next.length > maxSize) {
            next = next.substring(0, maxSize) + '...';
        }
        return next;
    },

    // return a string which displays the character position where the lexing error occurred, i.e. for error messages
    /** 
    @public 
    @this {RegExpLexer} 
    */
    showPosition: function lexer_showPosition(maxPrefix, maxPostfix) {
        var pre = this.pastInput(maxPrefix).replace(/\s/g, ' ');
        var c = new Array(pre.length + 1).join('-');
        return pre + this.upcomingInput(maxPostfix).replace(/\s/g, ' ') + '\n' + c + '^';
    },

    // helper function, used to produce a human readable description as a string, given
    // the input `yylloc` location object.
    // Set `display_range_too` to TRUE to include the string character index position(s)
    // in the description if the `yylloc.range` is available.
    /** 
    @public 
    @this {RegExpLexer} 
    */
    describeYYLLOC: function lexer_describe_yylloc(yylloc, display_range_too) {
        var l1 = yylloc.first_line;
        var l2 = yylloc.last_line;
        var o1 = yylloc.first_column;
        var o2 = yylloc.last_column - 1;
        var dl = l2 - l1;
        var d_o = (dl === 0 ? o2 - o1 : 1000);
        var rv;
        if (dl === 0) {
            rv = 'line ' + l1 + ', ';
            if (d_o === 0) {
                rv += 'column ' + o1;
            } else {
                rv += 'columns ' + o1 + ' .. ' + o2;
            }
        } else {
            rv = 'lines ' + l1 + '(column ' + o1 + ') .. ' + l2 + '(column ' + o2 + ')';
        }
        if (yylloc.range && display_range_too) {
            var r1 = yylloc.range[0];
            var r2 = yylloc.range[1] - 1;
            if (r2 === r1) {
                rv += ' {String Offset: ' + r1 + '}';
            } else {
                rv += ' {String Offset range: ' + r1 + ' .. ' + r2 + '}';
            }
        }
        return rv;
        // return JSON.stringify(yylloc);
    },

    // test the lexed token: return FALSE when not a match, otherwise return token.
    //
    // `match` is supposed to be an array coming out of a regex match, i.e. `match[0]`
    // contains the actually matched text string.
    //
    // Also move the input cursor forward and update the match collectors:
    // - yytext
    // - yyleng
    // - match
    // - matches
    // - yylloc
    // - offset
    /** 
    @public 
    @this {RegExpLexer} 
    */
    test_match: function lexer_test_match(match, indexed_rule) {
        var token,
            lines,
            backup,
            match_str,
            match_str_len;

        if (this.options.backtrack_lexer) {
            // save context
            backup = {
                yylineno: this.yylineno,
                yylloc: {
                    first_line: this.yylloc.first_line,
                    last_line: this.last_line,
                    first_column: this.yylloc.first_column,
                    last_column: this.yylloc.last_column
                },
                yytext: this.yytext,
                match: this.match,
                matches: this.matches,
                matched: this.matched,
                yyleng: this.yyleng,
                offset: this.offset,
                _more: this._more,
                _input: this._input,
                yy: this.yy,
                conditionStack: this.conditionStack.slice(0),
                done: this.done
            };
            if (this.options.ranges) {
                backup.yylloc.range = this.yylloc.range.slice(0);
            }
        }

        match_str = match[0];
        match_str_len = match_str.length;
        // if (match_str.indexOf('\n') !== -1 || match_str.indexOf('\r') !== -1) {
            lines = match_str.match(/(?:\r\n?|\n).*/g);
            if (lines) {
                this.yylineno += lines.length;
            }
        // }
        this.yylloc = {
            first_line: this.yylloc.last_line,
            last_line: this.yylineno + 1,
            first_column: this.yylloc.last_column,
            last_column: lines ?
                         lines[lines.length - 1].length - lines[lines.length - 1].match(/^\r?\n?/)[0].length :
                         this.yylloc.last_column + match_str_len
        };
        this.yytext += match_str;
        this.match += match_str;
        this.matches = match;
        this.yyleng = this.yytext.length;
        if (this.options.ranges) {
            this.yylloc.range = [this.offset, this.offset + this.yyleng];
        }
        // previous lex rules MAY have invoked the `more()` API rather than producing a token:
        // those rules will already have moved this `offset` forward matching their match lengths,
        // hence we must only add our own match length now:
        this.offset += match_str_len;
        this._more = false;
        this._backtrack = false;
        this._input = this._input.slice(match_str_len);
        this.matched += match_str;

        // calling this method:
        //
        //   function lexer__performAction(yy, yy_, $avoiding_name_collisions, YY_START) {...}
        token = this.performAction.call(this, this.yy, this, indexed_rule, this.conditionStack[this.conditionStack.length - 1] /* = YY_START */);
        // otherwise, when the action codes are all simple return token statements:
        //token = this.simpleCaseActionClusters[indexed_rule];

        if (this.done && this._input) {
            this.done = false;
        }
        if (token) {
            return token;
        } else if (this._backtrack) {
            // recover context
            for (var k in backup) {
                this[k] = backup[k];
            }
            this.__currentRuleSet__ = null;
            return false; // rule action called reject() implying the next rule should be tested instead.
        } else if (this._signaled_error_token) {
            // produce one 'error' token as `.parseError()` in `reject()` did not guarantee a failure signal by throwing an exception!
            token = this._signaled_error_token;
            this._signaled_error_token = false;
            return token;
        }
        return false;
    },

    // return next match in input
    /** 
    @public 
    @this {RegExpLexer} 
    */
    next: function lexer_next() {
        if (this.done) {
            this.clear();
            return this.EOF;
        }
        if (!this._input) {
            this.done = true;
        }

        var token,
            match,
            tempMatch,
            index;
        if (!this._more) {
            this.clear();
        }
        var spec = this.__currentRuleSet__;
        if (!spec) {
            // Update the ruleset cache as we apparently encountered a state change or just started lexing.
            // The cache is set up for fast lookup -- we assume a lexer will switch states much less often than it will
            // invoke the `lex()` token-producing API and related APIs, hence caching the set for direct access helps
            // speed up those activities a tiny bit.
            spec = this.__currentRuleSet__ = this._currentRules();
            // Check whether a *sane* condition has been pushed before: this makes the lexer robust against
            // user-programmer bugs such as https://github.com/zaach/jison-lex/issues/19
            if (!spec || !spec.rules) {
                var p = this.constructLexErrorInfo('Internal lexer engine error on line ' + (this.yylineno + 1) + '. The lex grammar programmer pushed a non-existing condition name "' + this.topState() + '"; this is a fatal error and should be reported to the application programmer team!\n', false);
                // produce one 'error' token until this situation has been resolved, most probably by parse termination!
                return (this.parseError(p.errStr, p, this.JisonLexerError) || this.ERROR);
            }
        }

        var rule_ids = spec.rules;
        //var dispatch = spec.__dispatch_lut;
        var regexes = spec.__rule_regexes;
        var len = spec.__rule_count;

        //var c0 = this._input[0];

        // Note: the arrays are 1-based, while `len` itself is a valid index,
        // hence the non-standard less-or-equal check in the next loop condition!
        //
        // `dispatch` is a lookup table which lists the *first* rule which matches the 1-char *prefix* of the rule-to-match.
        // By using that array as a jumpstart, we can cut down on the otherwise O(n*m) behaviour of this lexer, down to
        // O(n) ideally, where:
        //
        // - N is the number of input particles -- which is not precisely characters
        //   as we progress on a per-regex-match basis rather than on a per-character basis
        //
        // - M is the number of rules (regexes) to test in the active condition state.
        //
        for (var i = 1 /* (dispatch[c0] || 1) */ ; i <= len; i++) {
            tempMatch = this._input.match(regexes[i]);
            if (tempMatch && (!match || tempMatch[0].length > match[0].length)) {
                match = tempMatch;
                index = i;
                if (this.options.backtrack_lexer) {
                    token = this.test_match(tempMatch, rule_ids[i]);
                    if (token !== false) {
                        return token;
                    } else if (this._backtrack) {
                        match = undefined;
                        continue; // rule action called reject() implying a rule MISmatch.
                    } else {
                        // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)
                        return false;
                    }
                } else if (!this.options.flex) {
                    break;
                }
            }
        }
        if (match) {
            token = this.test_match(match, rule_ids[index]);
            if (token !== false) {
                return token;
            }
            // else: this is a lexer rule which consumes input without producing a token (e.g. whitespace)
            return false;
        }
        if (this._input === '') {
            this.done = true;
            return this.EOF;
        } else {
            var p = this.constructLexErrorInfo('Lexical error on line ' + (this.yylineno + 1) + '. Unrecognized text.\n' + this.showPosition(), this.options.lexer_errors_are_recoverable);
            token = (this.parseError(p.errStr, p, this.JisonLexerError) || this.ERROR);
            if (token === this.ERROR) {
                // we can try to recover from a lexer error that `parseError()` did not 'recover' for us
                // by moving forward at least one character at a time:
                if (!this.match.length) {
                    this.input();
                }
            }
            return token;
        }
    },

    // return next match that has a token
    /** 
    @public 
    @this {RegExpLexer} 
    */
    lex: function lexer_lex() {
        var r;
        // allow the PRE/POST handlers set/modify the return token for maximum flexibility of the generated lexer:
        if (typeof this.options.pre_lex === 'function') {
            r = this.options.pre_lex.call(this);
        }
        while (!r) {
            r = this.next();
        }
        if (typeof this.options.post_lex === 'function') {
            // (also account for a userdef function which does not return any value: keep the token as is)
            r = this.options.post_lex.call(this, r) || r;
        }
        return r;
    },

    // backwards compatible alias for `pushState()`;
    // the latter is symmetrical with `popState()` and we advise to use
    // those APIs in any modern lexer code, rather than `begin()`.
    /** 
    @public 
    @this {RegExpLexer} 
    */
    begin: function lexer_begin(condition) {
        return this.pushState(condition);
    },

    // activates a new lexer condition state (pushes the new lexer condition state onto the condition stack)
    /** 
    @public 
    @this {RegExpLexer} 
    */
    pushState: function lexer_pushState(condition) {
        this.conditionStack.push(condition);
        this.__currentRuleSet__ = null;
        return this;
    },

    // pop the previously active lexer condition state off the condition stack
    /** 
    @public 
    @this {RegExpLexer} 
    */
    popState: function lexer_popState() {
        var n = this.conditionStack.length - 1;
        if (n > 0) {
            this.__currentRuleSet__ = null;
            return this.conditionStack.pop();
        } else {
            return this.conditionStack[0];
        }
    },

    // return the currently active lexer condition state; when an index argument is provided it produces the N-th previous condition state, if available
    /** 
    @public 
    @this {RegExpLexer} 
    */
    topState: function lexer_topState(n) {
        n = this.conditionStack.length - 1 - Math.abs(n || 0);
        if (n >= 0) {
            return this.conditionStack[n];
        } else {
            return 'INITIAL';
        }
    },

    // (internal) determine the lexer rule set which is active for the currently active lexer condition state
    /** 
    @public 
    @this {RegExpLexer} 
    */
    _currentRules: function lexer__currentRules() {
        if (this.conditionStack.length && this.conditionStack[this.conditionStack.length - 1]) {
            return this.conditions[this.conditionStack[this.conditionStack.length - 1]];
        } else {
            return this.conditions['INITIAL'];
        }
    },

    // return the number of states currently on the stack
    /** 
    @public 
    @this {RegExpLexer} 
    */
    stateStackSize: function lexer_stateStackSize() {
        return this.conditionStack.length;
    },
    options: {},
    JisonLexerError: JisonLexerError,
    performAction: function lexer__performAction(yy, yy_, $avoiding_name_collisions, YY_START) {

var YYSTATE = YY_START;
switch($avoiding_name_collisions) {
case 0 : 
/*! Conditions:: INITIAL TAG LINE TEXT BLOCK EXPR REGEXP FOR IMPORT */ 
/*! Rule::       $ */ 
 
                                      const tokens = ["EOF"];

                                      while (0 < current()) {
                                        tokens.push("DEDENT");
                                        indents.pop();
                                      }

                                      return tokens;
                                    
break;
case 1 : 
/*! Conditions:: INITIAL */ 
/*! Rule::       {Space}*\n */ 
 /* eat blank lines */ 
break;
case 2 : 
/*! Conditions:: INITIAL */ 
/*! Rule::       {Space}* */ 
 
                                     const indent = yy_.yytext.length;

                                     if (indent > current()) {
                                       indents.push(indent);
                                       this.begin("TAG");
                                       return 24;
                                     } else if (indent < current()) {
                                       const tokens = [];
                                       while (indent < current()) {
                                         tokens.push("DEDENT");
                                         indents.pop();
                                       }
                                       this.begin("TAG");
                                       return tokens;
                                     } else {
                                       this.begin("TAG");
                                     }
                                    
break;
case 3 : 
/*! Conditions:: TAG */ 
/*! Rule::       \n+ */ 
 this.begin("INITIAL"); return 26; 
break;
case 4 : 
/*! Conditions:: TAG */ 
/*! Rule::       {Space}+ */ 
 /* skip whitespaces */ 
break;
case 5 : 
/*! Conditions:: TAG */ 
/*! Rule::       \| */ 
 this.begin("TEXT"); return 4; 
break;
case 6 : 
/*! Conditions:: TAG */ 
/*! Rule::       if\b */ 
 this.begin("EXPR"); return 31; 
break;
case 8 : 
/*! Conditions:: TAG */ 
/*! Rule::       for\b */ 
 this.begin("FOR"); return 33; 
break;
case 9 : 
/*! Conditions:: TAG */ 
/*! Rule::       import\b */ 
 this.begin("IMPORT"); return 37; 
break;
case 10 : 
/*! Conditions:: TAG */ 
/*! Rule::       {Selector} */ 
 
                                     this.begin("LINE");
                                     if (/\.$/.test(yy_.yytext)) {
                                       this.unput('.');
                                     }
                                     return 27;
                                    
break;
case 11 : 
/*! Conditions:: LINE */ 
/*! Rule::       \n+ */ 
 this.begin("INITIAL"); return 26; 
break;
case 12 : 
/*! Conditions:: LINE */ 
/*! Rule::       \. */ 
 this.begin("BLOCK"); return 5; 
break;
case 14 : 
/*! Conditions:: LINE */ 
/*! Rule::       \{ */ 
 this.begin("EXPR"); return 7; 
break;
case 19 : 
/*! Conditions:: FOR */ 
/*! Rule::       \n+ */ 
 this.begin("INITIAL"); return 26; 
break;
case 20 : 
/*! Conditions:: FOR */ 
/*! Rule::       {Space}+ */ 
 /* skip whitespaces */ 
break;
case 22 : 
/*! Conditions:: FOR */ 
/*! Rule::       of */ 
 this.begin("EXPR"); return 35; 
break;
case 24 : 
/*! Conditions:: IMPORT */ 
/*! Rule::       \n+ */ 
 this.begin("INITIAL"); return 26; 
break;
case 25 : 
/*! Conditions:: IMPORT */ 
/*! Rule::       {Space}+ */ 
 /* skip whitespaces */ 
break;
case 34 : 
/*! Conditions:: TEXT */ 
/*! Rule::       \n+ */ 
 this.begin("INITIAL"); return 26; 
break;
case 35 : 
/*! Conditions:: TEXT */ 
/*! Rule::       \{ */ 
 this.begin("EXPR"); return 7; 
break;
case 39 : 
/*! Conditions:: BLOCK */ 
/*! Rule::       .* */ 
 
                                     const lead = yy_.yytext.search(/\S/);
                                     if (lead > current() || lead === -1) {
                                       return 29
                                     } else {
                                       this.begin("INITIAL");
                                       this.unput(yy_.yytext);
                                     }
                                    
break;
case 40 : 
/*! Conditions:: EXPR */ 
/*! Rule::       \n+ */ 
 this.begin("INITIAL"); return 26; 
break;
case 41 : 
/*! Conditions:: EXPR */ 
/*! Rule::       {Space}+ */ 
 /* skip whitespaces */ 
break;
case 60 : 
/*! Conditions:: EXPR */ 
/*! Rule::       \{ */ 
 brackets.push("{"); return 7; 
break;
case 61 : 
/*! Conditions:: EXPR */ 
/*! Rule::       \} */ 
 
                                     if (brackets.length > 0) {
                                       brackets.pop();
                                     } else {
                                       this.popState();
                                     }
                                     return 8;
                                    
break;
case 109 : 
/*! Conditions:: REGEXP */ 
/*! Rule::       {RegularExpressionLiteral} */ 
 this.popState(); return 66; 
break;
default:
  return this.simpleCaseActionClusters[$avoiding_name_collisions];
}
},
    simpleCaseActionClusters: {

  /*! Conditions:: TAG */ 
  /*! Rule::       else\b */ 
   7 : 32,
  /*! Conditions:: LINE */ 
  /*! Rule::       = */ 
   13 : 6,
  /*! Conditions:: LINE */ 
  /*! Rule::       \} */ 
   15 : 8,
  /*! Conditions:: LINE */ 
  /*! Rule::       {Attribute} */ 
   16 : 28,
  /*! Conditions:: LINE */ 
  /*! Rule::       {StringLiteral} */ 
   17 : 30,
  /*! Conditions:: LINE */ 
  /*! Rule::       {Text} */ 
   18 : 29,
  /*! Conditions:: FOR */ 
  /*! Rule::       , */ 
   21 : 36,
  /*! Conditions:: FOR */ 
  /*! Rule::       {Identifier} */ 
   23 : 34,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       from */ 
   26 : 38,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       \{ */ 
   27 : 7,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       , */ 
   28 : 3,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       \} */ 
   29 : 8,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       \* */ 
   30 : 9,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       as */ 
   31 : 39,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       {StringLiteral} */ 
   32 : 30,
  /*! Conditions:: IMPORT */ 
  /*! Rule::       {Identifier} */ 
   33 : 34,
  /*! Conditions:: TEXT */ 
  /*! Rule::       \} */ 
   36 : 8,
  /*! Conditions:: TEXT */ 
  /*! Rule::       {Text} */ 
   37 : 29,
  /*! Conditions:: BLOCK */ 
  /*! Rule::       \n+ */ 
   38 : 26,
  /*! Conditions:: EXPR */ 
  /*! Rule::       {StringLiteral} */ 
   42 : 30,
  /*! Conditions:: EXPR */ 
  /*! Rule::       import\b */ 
   43 : 37,
  /*! Conditions:: EXPR */ 
  /*! Rule::       from\b */ 
   44 : 38,
  /*! Conditions:: EXPR */ 
  /*! Rule::       if\b */ 
   45 : 31,
  /*! Conditions:: EXPR */ 
  /*! Rule::       else\b */ 
   46 : 32,
  /*! Conditions:: EXPR */ 
  /*! Rule::       endif\b */ 
   47 : 'ENDIF',
  /*! Conditions:: EXPR */ 
  /*! Rule::       for\b */ 
   48 : 33,
  /*! Conditions:: EXPR */ 
  /*! Rule::       of\b */ 
   49 : 35,
  /*! Conditions:: EXPR */ 
  /*! Rule::       in\b */ 
   50 : 51,
  /*! Conditions:: EXPR */ 
  /*! Rule::       instanceof\b */ 
   51 : 50,
  /*! Conditions:: EXPR */ 
  /*! Rule::       true\b */ 
   52 : 63,
  /*! Conditions:: EXPR */ 
  /*! Rule::       false\b */ 
   53 : 64,
  /*! Conditions:: EXPR */ 
  /*! Rule::       null\b */ 
   54 : 62,
  /*! Conditions:: EXPR */ 
  /*! Rule::       this\b */ 
   55 : 60,
  /*! Conditions:: EXPR */ 
  /*! Rule::       {Identifier} */ 
   56 : 34,
  /*! Conditions:: EXPR */ 
  /*! Rule::       {DecimalLiteral} */ 
   57 : 65,
  /*! Conditions:: EXPR */ 
  /*! Rule::       {HexIntegerLiteral} */ 
   58 : 65,
  /*! Conditions:: EXPR */ 
  /*! Rule::       {OctalIntegerLiteral} */ 
   59 : 65,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \( */ 
   62 : 20,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \) */ 
   63 : 21,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \[ */ 
   64 : 22,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \] */ 
   65 : 23,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \. */ 
   66 : 5,
  /*! Conditions:: EXPR */ 
  /*! Rule::       ; */ 
   67 : ';',
  /*! Conditions:: EXPR */ 
  /*! Rule::       , */ 
   68 : 3,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \? */ 
   69 : 10,
  /*! Conditions:: EXPR */ 
  /*! Rule::       : */ 
   70 : 11,
  /*! Conditions:: EXPR */ 
  /*! Rule::       === */ 
   71 : 46,
  /*! Conditions:: EXPR */ 
  /*! Rule::       == */ 
   72 : 44,
  /*! Conditions:: EXPR */ 
  /*! Rule::       = */ 
   73 : 6,
  /*! Conditions:: EXPR */ 
  /*! Rule::       !== */ 
   74 : 47,
  /*! Conditions:: EXPR */ 
  /*! Rule::       != */ 
   75 : 45,
  /*! Conditions:: EXPR */ 
  /*! Rule::       ! */ 
   76 : 19,
  /*! Conditions:: EXPR */ 
  /*! Rule::       <<= */ 
   77 : '<<=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       << */ 
   78 : 52,
  /*! Conditions:: EXPR */ 
  /*! Rule::       <= */ 
   79 : 48,
  /*! Conditions:: EXPR */ 
  /*! Rule::       < */ 
   80 : 12,
  /*! Conditions:: EXPR */ 
  /*! Rule::       >>>= */ 
   81 : '>>>=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       >>> */ 
   82 : 54,
  /*! Conditions:: EXPR */ 
  /*! Rule::       >>= */ 
   83 : '>>=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       >> */ 
   84 : 53,
  /*! Conditions:: EXPR */ 
  /*! Rule::       >= */ 
   85 : 49,
  /*! Conditions:: EXPR */ 
  /*! Rule::       > */ 
   86 : 13,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \+= */ 
   87 : '+=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       \+\+ */ 
   88 : 56,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \+ */ 
   89 : 14,
  /*! Conditions:: EXPR */ 
  /*! Rule::       -= */ 
   90 : '-=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       -- */ 
   91 : 57,
  /*! Conditions:: EXPR */ 
  /*! Rule::       - */ 
   92 : 15,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \*= */ 
   93 : '*=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       \* */ 
   94 : 9,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \/= */ 
   95 : 67,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \/ */ 
   96 : 16,
  /*! Conditions:: EXPR */ 
  /*! Rule::       %= */ 
   97 : '%=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       % */ 
   98 : 17,
  /*! Conditions:: EXPR */ 
  /*! Rule::       && */ 
   99 : 43,
  /*! Conditions:: EXPR */ 
  /*! Rule::       &= */ 
   100 : '&=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       & */ 
   101 : '&',
  /*! Conditions:: EXPR */ 
  /*! Rule::       \|\| */ 
   102 : 42,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \|= */ 
   103 : '|=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       \| */ 
   104 : 4,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \^= */ 
   105 : '^=',
  /*! Conditions:: EXPR */ 
  /*! Rule::       \^ */ 
   106 : '^',
  /*! Conditions:: EXPR */ 
  /*! Rule::       ~ */ 
   107 : 18,
  /*! Conditions:: EXPR */ 
  /*! Rule::       \.\.\. */ 
   108 : '...'
},
    rules: [
/^(?:$)/,
/^(?:([\t   -​\u2028\u2029　])*\n)/,
/^(?:([\t   -​\u2028\u2029　])*)/,
/^(?:\n+)/,
/^(?:([\t   -​\u2028\u2029　])+)/,
/^(?:\|)/,
/^(?:if\b)/,
/^(?:else\b)/,
/^(?:for\b)/,
/^(?:import\b)/,
/^(?:([\w#.][\w\-.]*))/,
/^(?:\n+)/,
/^(?:\.)/,
/^(?:=)/,
/^(?:\{)/,
/^(?:\})/,
/^(?:([\w\t \-]+))/,
/^(?:(("(?:([^\n\r"\\]+)|(\\(?:(?:(?:["'\\bfnrtv])|(?:[^\d"'\\bfnrt-vx]))|(?:(?:[1-7][0-7]{0,2}|[0-7]{2,3}))|(?:[x](?:[\dA-Fa-f]){2})|(?:[u](?:[\dA-Fa-f]){4})))|(?:\\(\r\n|\r|\n)))*")|('(?:([^\n\r'\\]+)|(\\(?:(?:(?:["'\\bfnrtv])|(?:[^\d"'\\bfnrt-vx]))|(?:(?:[1-7][0-7]{0,2}|[0-7]{2,3}))|(?:[x](?:[\dA-Fa-f]){2})|(?:[u](?:[\dA-Fa-f]){4})))|(?:\\(\r\n|\r|\n)))*')))/,
/^(?:([^\n={]+))/,
/^(?:\n+)/,
/^(?:([\t   -​\u2028\u2029　])+)/,
/^(?:,)/,
/^(?:of)/,
/^(?:((?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))(?:(?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))|(?:[^\u0000-\/:-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-˿͵͸͹;-΅·΋΍΢϶҂҈҉Ԩ-԰՗՘՚-ՠֈ-֐־׀׃׆׈-׏׫-ׯ׳-؏؛-؟٪-٭۔۝۞۩۽۾܀-܏݋݌޲-޿߶-߹߻-߿࠮-࠿࡜-࢟ࢡࢭ-ࣣࣿ।॥॰ॸঀ঄঍঎঑঒঩঱঳-঵঺঻৅৆৉৊৏-৖৘-৛৞৤৥৲-਀਄਋-਎਑਒਩਱਴਷਺਻਽੃-੆੉੊੎-੐੒-੘੝੟-੥੶-઀઄઎઒઩઱઴઺઻૆૊૎૏૑-૟૤૥૰-଀଄଍଎଑଒଩଱଴଺଻୅୆୉୊୎-୕୘-୛୞୤୥୰୲-஁஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-஽௃-௅௉௎௏௑-௖௘-௥௰-ఀఄ఍఑఩ఴ఺-఼౅౉౎-౔౗ౚ-౟౤౥౰-ಁ಄಍಑಩಴಺಻೅೉೎-೔೗-ೝ೟೤೥೰ೳ-ഁഄ഍഑഻഼൅൉൏-ൖ൘-ൟ൤൥൰-൹඀ඁ඄඗-඙඲඼඾඿෇-෉෋-෎෕෗෠-෱෴-฀฻-฿๏๚-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬ຺຾຿໅໇໎໏໚໛໠-໿༁-༗༚-༟༪-༴༶༸༺-༽཈཭-཰྅྘྽-࿅࿇-࿿၊-၏႞႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛፜፠-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍ᜕-ᜟ᜵-᜿᝔-᝟᝭᝱᝴-᝿។-៖៘-៛៞៟៪-᠊᠎᠏᠚-᠟ᡸ-᡿᢫-᢯᣶-᣿ᤝ-᤟᤬-᤯᤼-᥅᥮᥯᥵-᥿᦬-᦯᧊-᧏᧚-᧿᨜-᨟᩟᩽᩾᪊-᪏᪚-᪦᪨-᫿ᭌ-᭏᭚-᭪᭴-᭿᯴-᯿᰸-᰿᱊-᱌᱾-᳏᳓᳷-᳿ᷧ-᷻἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-​‎-‾⁁-⁓⁕-⁰⁲-⁾₀-₏₝-⃏⃝-⃠⃢-⃤⃱-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵾⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟⸀-⸮⸰-〄〈-〠〰〶〷〽-぀゗゘゛゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘬-꘿꙰-꙳꙾Ꚙ-ꚞ꛲-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷ꠨-꠿꡴-꡿ꣅ-꣏꣚-꣟꣸-꣺꣼-ꣿ꤮꤯꥔-꥟꥽-꥿꧁-꧎꧚-꧿꨷-꨿꩎꩏꩚-꩟꩷-꩹ꩼ-ꩿ꫃-꫚꫞꫟꫰꫱꫷-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿ꯫꯮꯯꯺-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﷿︐-︟︧-︲︵-﹌﹐-﹯﹵﻽-／：-＠［-＾｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|\d)*))/,
/^(?:\n+)/,
/^(?:([\t   -​\u2028\u2029　])+)/,
/^(?:from)/,
/^(?:\{)/,
/^(?:,)/,
/^(?:\})/,
/^(?:\*)/,
/^(?:as)/,
/^(?:(("(?:([^\n\r"\\]+)|(\\(?:(?:(?:["'\\bfnrtv])|(?:[^\d"'\\bfnrt-vx]))|(?:(?:[1-7][0-7]{0,2}|[0-7]{2,3}))|(?:[x](?:[\dA-Fa-f]){2})|(?:[u](?:[\dA-Fa-f]){4})))|(?:\\(\r\n|\r|\n)))*")|('(?:([^\n\r'\\]+)|(\\(?:(?:(?:["'\\bfnrtv])|(?:[^\d"'\\bfnrt-vx]))|(?:(?:[1-7][0-7]{0,2}|[0-7]{2,3}))|(?:[x](?:[\dA-Fa-f]){2})|(?:[u](?:[\dA-Fa-f]){4})))|(?:\\(\r\n|\r|\n)))*')))/,
/^(?:((?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))(?:(?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))|(?:[^\u0000-\/:-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-˿͵͸͹;-΅·΋΍΢϶҂҈҉Ԩ-԰՗՘՚-ՠֈ-֐־׀׃׆׈-׏׫-ׯ׳-؏؛-؟٪-٭۔۝۞۩۽۾܀-܏݋݌޲-޿߶-߹߻-߿࠮-࠿࡜-࢟ࢡࢭ-ࣣࣿ।॥॰ॸঀ঄঍঎঑঒঩঱঳-঵঺঻৅৆৉৊৏-৖৘-৛৞৤৥৲-਀਄਋-਎਑਒਩਱਴਷਺਻਽੃-੆੉੊੎-੐੒-੘੝੟-੥੶-઀઄઎઒઩઱઴઺઻૆૊૎૏૑-૟૤૥૰-଀଄଍଎଑଒଩଱଴଺଻୅୆୉୊୎-୕୘-୛୞୤୥୰୲-஁஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-஽௃-௅௉௎௏௑-௖௘-௥௰-ఀఄ఍఑఩ఴ఺-఼౅౉౎-౔౗ౚ-౟౤౥౰-ಁ಄಍಑಩಴಺಻೅೉೎-೔೗-ೝ೟೤೥೰ೳ-ഁഄ഍഑഻഼൅൉൏-ൖ൘-ൟ൤൥൰-൹඀ඁ඄඗-඙඲඼඾඿෇-෉෋-෎෕෗෠-෱෴-฀฻-฿๏๚-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬ຺຾຿໅໇໎໏໚໛໠-໿༁-༗༚-༟༪-༴༶༸༺-༽཈཭-཰྅྘྽-࿅࿇-࿿၊-၏႞႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛፜፠-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍ᜕-ᜟ᜵-᜿᝔-᝟᝭᝱᝴-᝿។-៖៘-៛៞៟៪-᠊᠎᠏᠚-᠟ᡸ-᡿᢫-᢯᣶-᣿ᤝ-᤟᤬-᤯᤼-᥅᥮᥯᥵-᥿᦬-᦯᧊-᧏᧚-᧿᨜-᨟᩟᩽᩾᪊-᪏᪚-᪦᪨-᫿ᭌ-᭏᭚-᭪᭴-᭿᯴-᯿᰸-᰿᱊-᱌᱾-᳏᳓᳷-᳿ᷧ-᷻἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-​‎-‾⁁-⁓⁕-⁰⁲-⁾₀-₏₝-⃏⃝-⃠⃢-⃤⃱-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵾⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟⸀-⸮⸰-〄〈-〠〰〶〷〽-぀゗゘゛゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘬-꘿꙰-꙳꙾Ꚙ-ꚞ꛲-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷ꠨-꠿꡴-꡿ꣅ-꣏꣚-꣟꣸-꣺꣼-ꣿ꤮꤯꥔-꥟꥽-꥿꧁-꧎꧚-꧿꨷-꨿꩎꩏꩚-꩟꩷-꩹ꩼ-ꩿ꫃-꫚꫞꫟꫰꫱꫷-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿ꯫꯮꯯꯺-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﷿︐-︟︧-︲︵-﹌﹐-﹯﹵﻽-／：-＠［-＾｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|\d)*))/,
/^(?:\n+)/,
/^(?:\{)/,
/^(?:\})/,
/^(?:([^\n={]+))/,
/^(?:\n+)/,
/^(?:.*)/,
/^(?:\n+)/,
/^(?:([\t   -​\u2028\u2029　])+)/,
/^(?:(("(?:([^\n\r"\\]+)|(\\(?:(?:(?:["'\\bfnrtv])|(?:[^\d"'\\bfnrt-vx]))|(?:(?:[1-7][0-7]{0,2}|[0-7]{2,3}))|(?:[x](?:[\dA-Fa-f]){2})|(?:[u](?:[\dA-Fa-f]){4})))|(?:\\(\r\n|\r|\n)))*")|('(?:([^\n\r'\\]+)|(\\(?:(?:(?:["'\\bfnrtv])|(?:[^\d"'\\bfnrt-vx]))|(?:(?:[1-7][0-7]{0,2}|[0-7]{2,3}))|(?:[x](?:[\dA-Fa-f]){2})|(?:[u](?:[\dA-Fa-f]){4})))|(?:\\(\r\n|\r|\n)))*')))/,
/^(?:import\b)/,
/^(?:from\b)/,
/^(?:if\b)/,
/^(?:else\b)/,
/^(?:endif\b)/,
/^(?:for\b)/,
/^(?:of\b)/,
/^(?:in\b)/,
/^(?:instanceof\b)/,
/^(?:true\b)/,
/^(?:false\b)/,
/^(?:null\b)/,
/^(?:this\b)/,
/^(?:((?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))(?:(?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))|(?:[^\u0000-\/:-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-˿͵͸͹;-΅·΋΍΢϶҂҈҉Ԩ-԰՗՘՚-ՠֈ-֐־׀׃׆׈-׏׫-ׯ׳-؏؛-؟٪-٭۔۝۞۩۽۾܀-܏݋݌޲-޿߶-߹߻-߿࠮-࠿࡜-࢟ࢡࢭ-ࣣࣿ।॥॰ॸঀ঄঍঎঑঒঩঱঳-঵঺঻৅৆৉৊৏-৖৘-৛৞৤৥৲-਀਄਋-਎਑਒਩਱਴਷਺਻਽੃-੆੉੊੎-੐੒-੘੝੟-੥੶-઀઄઎઒઩઱઴઺઻૆૊૎૏૑-૟૤૥૰-଀଄଍଎଑଒଩଱଴଺଻୅୆୉୊୎-୕୘-୛୞୤୥୰୲-஁஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-஽௃-௅௉௎௏௑-௖௘-௥௰-ఀఄ఍఑఩ఴ఺-఼౅౉౎-౔౗ౚ-౟౤౥౰-ಁ಄಍಑಩಴಺಻೅೉೎-೔೗-ೝ೟೤೥೰ೳ-ഁഄ഍഑഻഼൅൉൏-ൖ൘-ൟ൤൥൰-൹඀ඁ඄඗-඙඲඼඾඿෇-෉෋-෎෕෗෠-෱෴-฀฻-฿๏๚-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬ຺຾຿໅໇໎໏໚໛໠-໿༁-༗༚-༟༪-༴༶༸༺-༽཈཭-཰྅྘྽-࿅࿇-࿿၊-၏႞႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛፜፠-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍ᜕-ᜟ᜵-᜿᝔-᝟᝭᝱᝴-᝿។-៖៘-៛៞៟៪-᠊᠎᠏᠚-᠟ᡸ-᡿᢫-᢯᣶-᣿ᤝ-᤟᤬-᤯᤼-᥅᥮᥯᥵-᥿᦬-᦯᧊-᧏᧚-᧿᨜-᨟᩟᩽᩾᪊-᪏᪚-᪦᪨-᫿ᭌ-᭏᭚-᭪᭴-᭿᯴-᯿᰸-᰿᱊-᱌᱾-᳏᳓᳷-᳿ᷧ-᷻἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-​‎-‾⁁-⁓⁕-⁰⁲-⁾₀-₏₝-⃏⃝-⃠⃢-⃤⃱-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵾⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟⸀-⸮⸰-〄〈-〠〰〶〷〽-぀゗゘゛゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘬-꘿꙰-꙳꙾Ꚙ-ꚞ꛲-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷ꠨-꠿꡴-꡿ꣅ-꣏꣚-꣟꣸-꣺꣼-ꣿ꤮꤯꥔-꥟꥽-꥿꧁-꧎꧚-꧿꨷-꨿꩎꩏꩚-꩟꩷-꩹ꩼ-ꩿ꫃-꫚꫞꫟꫰꫱꫷-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿ꯫꯮꯯꯺-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﷿︐-︟︧-︲︵-﹌﹐-﹯﹵﻽-／：-＠［-＾｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|\d)*))/,
/^(?:(((?:[0]|((?:[1-9])(?:\d+)*))\.(?:\d+)*(?:(?:[Ee])(?:[+-]?\d+))?)|(\.(?:\d+)(?:(?:[Ee])(?:[+-]?\d+))?)|((?:[0]|((?:[1-9])(?:\d+)*))(?:(?:[Ee])(?:[+-]?\d+))?)))/,
/^(?:([0][Xx](?:[\dA-Fa-f])+))/,
/^(?:([0](?:[0-7])+))/,
/^(?:\{)/,
/^(?:\})/,
/^(?:\()/,
/^(?:\))/,
/^(?:\[)/,
/^(?:\])/,
/^(?:\.)/,
/^(?:;)/,
/^(?:,)/,
/^(?:\?)/,
/^(?::)/,
/^(?:===)/,
/^(?:==)/,
/^(?:=)/,
/^(?:!==)/,
/^(?:!=)/,
/^(?:!)/,
/^(?:<<=)/,
/^(?:<<)/,
/^(?:<=)/,
/^(?:<)/,
/^(?:>>>=)/,
/^(?:>>>)/,
/^(?:>>=)/,
/^(?:>>)/,
/^(?:>=)/,
/^(?:>)/,
/^(?:\+=)/,
/^(?:\+\+)/,
/^(?:\+)/,
/^(?:-=)/,
/^(?:--)/,
/^(?:-)/,
/^(?:\*=)/,
/^(?:\*)/,
/^(?:\/=)/,
/^(?:\/)/,
/^(?:%=)/,
/^(?:%)/,
/^(?:&&)/,
/^(?:&=)/,
/^(?:&)/,
/^(?:\|\|)/,
/^(?:\|=)/,
/^(?:\|)/,
/^(?:\^=)/,
/^(?:\^)/,
/^(?:~)/,
/^(?:\.\.\.)/,
/^(?:((?:(?:([^\n\r*\/\[\\])|(?:\\(?:[^\n\r]))|(?:\[(?:[^\n\r\\\]]|(?:\\(?:[^\n\r])))*\]))(?:([^\n\r\/\[\\])|(?:\\(?:[^\n\r]))|(?:\[(?:[^\n\r\\\]]|(?:\\(?:[^\n\r])))*\]))*)\/(?:(?:(?:(?:[^\u0000-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-ͯ͵͸͹;-΅·΋΍΢϶҂-҉Ԩ-԰՗՘՚-ՠֈ-׏׫-ׯ׳-؟ً-٭ٰ۔ۖ-ۤۧ-ۭ۰-۹۽۾܀-܏ܑܰ-݌ަ-ް޲-߉߫-߳߶-߹߻-߿ࠖ-࠙ࠛ-ࠣࠥ-ࠧࠩ-࠿࡙-࢟ࢡࢭ-ःऺ-़ा-ॏ॑-ॗॢ-॰ॸঀ-঄঍঎঑঒঩঱঳-঵঺-়া-্৏-৛৞ৢ-৯৲-਄਋-਎਑਒਩਱਴਷਺-੘੝੟-ੱੵ-઄઎઒઩઱઴઺-઼ા-૏૑-૟ૢ-଄଍଎଑଒଩଱଴଺-଼ା-୛୞ୢ-୰୲-ஂ஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-௏௑-ఄ఍఑఩ఴ఺-఼ా-౗ౚ-౟ౢ-಄಍಑಩಴಺-಼ಾ-ೝ೟ೢ-೰ೳ-ഄ഍഑഻഼ാ-്൏-ൟൢ-൹඀-඄඗-඙඲඼඾඿෇-฀ัิ-฿็-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬັິ-ຼ຾຿໅໇-໛໠-໿༁-༿཈཭-྇ྍ-࿿ါ-ှ၀-၏ၖ-ၙၞ-ၠၢ-ၤၧ-ၭၱ-ၴႂ-ႍႏ-႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍᜒ-ᜟᜲ-᜿ᝒ-᝟᝭᝱-᝿឴-៖៘-៛៝-᠟ᡸ-᡿ᢩ᢫-᢯᣶-᣿ᤝ-᥏᥮᥯᥵-᥿᦬-ᧀᧈ-᧿ᨗ-᨟ᩕ-᪦᪨-ᬄ᬴-᭄ᭌ-ᮂᮡ-ᮭ᮰-᮹᯦-᯿ᰤ-᱌᱐-᱙᱾-᳨᳭ᳲ-᳴᳷-᳿᷀-᷿἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-⁰⁲-⁾₀-₏₝-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳯-⳱⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵿⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟-⸮⸰-〄〈-〠〪-〰〶〷〽-぀゗-゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘠-꘩꘬-꘿꙯-꙾Ꚙ-ꚟ꛰-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷꠂ꠆ꠋꠣ-꠿꡴-ꢁꢴ-꣱꣸-꣺꣼-꤉ꤦ-꤯ꥇ-꥟꥽-ꦃ꦳-꧎꧐-꧿ꨩ-꨿ꩃꩌ-꩟꩷-꩹ꩻ-ꩿꪰꪲ-ꪴꪷꪸꪾ꪿꫁꫃-꫚꫞꫟ꫫ-꫱ꫵ-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿꯣ-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜ﬞ﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﹯﹵﻽-＠［-｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|[$A-Z_a-z]|(\\[u](?:[\dA-Fa-f]){4}))|(?:[^\u0000-\/:-©«-´¶-¹»-¿×÷˂-˅˒-˟˥-˫˭˯-˿͵͸͹;-΅·΋΍΢϶҂҈҉Ԩ-԰՗՘՚-ՠֈ-֐־׀׃׆׈-׏׫-ׯ׳-؏؛-؟٪-٭۔۝۞۩۽۾܀-܏݋݌޲-޿߶-߹߻-߿࠮-࠿࡜-࢟ࢡࢭ-ࣣࣿ।॥॰ॸঀ঄঍঎঑঒঩঱঳-঵঺঻৅৆৉৊৏-৖৘-৛৞৤৥৲-਀਄਋-਎਑਒਩਱਴਷਺਻਽੃-੆੉੊੎-੐੒-੘੝੟-੥੶-઀઄઎઒઩઱઴઺઻૆૊૎૏૑-૟૤૥૰-଀଄଍଎଑଒଩଱଴଺଻୅୆୉୊୎-୕୘-୛୞୤୥୰୲-஁஄஋-஍஑஖-஘஛஝஠-஢஥-஧஫-஭஺-஽௃-௅௉௎௏௑-௖௘-௥௰-ఀఄ఍఑఩ఴ఺-఼౅౉౎-౔౗ౚ-౟౤౥౰-ಁ಄಍಑಩಴಺಻೅೉೎-೔೗-ೝ೟೤೥೰ೳ-ഁഄ഍഑഻഼൅൉൏-ൖ൘-ൟ൤൥൰-൹඀ඁ඄඗-඙඲඼඾඿෇-෉෋-෎෕෗෠-෱෴-฀฻-฿๏๚-຀຃຅ຆຉ຋ຌຎ-ຓຘຠ຤຦ຨຩຬ຺຾຿໅໇໎໏໚໛໠-໿༁-༗༚-༟༪-༴༶༸༺-༽཈཭-཰྅྘྽-࿅࿇-࿿၊-၏႞႟჆჈-჌჎჏჻቉቎቏቗቙቞቟኉኎኏኱኶኷኿዁዆዇዗጑጖጗፛፜፠-፿᎐-᎟Ᏽ-᐀᙭᙮ ᚛-᚟᛫-᛭ᛱ-᛿ᜍ᜕-ᜟ᜵-᜿᝔-᝟᝭᝱᝴-᝿។-៖៘-៛៞៟៪-᠊᠎᠏᠚-᠟ᡸ-᡿᢫-᢯᣶-᣿ᤝ-᤟᤬-᤯᤼-᥅᥮᥯᥵-᥿᦬-᦯᧊-᧏᧚-᧿᨜-᨟᩟᩽᩾᪊-᪏᪚-᪦᪨-᫿ᭌ-᭏᭚-᭪᭴-᭿᯴-᯿᰸-᰿᱊-᱌᱾-᳏᳓᳷-᳿ᷧ-᷻἖἗἞἟὆὇὎὏὘὚὜὞὾὿᾵᾽᾿-῁῅῍-῏῔῕῜-῟῭-῱῵´-​‎-‾⁁-⁓⁕-⁰⁲-⁾₀-₏₝-⃏⃝-⃠⃢-⃤⃱-℁℃-℆℈℉℔№-℘℞-℣℥℧℩℮℺℻⅀-⅄⅊-⅍⅏-⅟↉-⯿Ⱟⱟ⳥-⳪⳴-⳿⴦⴨-⴬⴮⴯⵨-⵮⵰-⵾⶗-⶟⶧⶯⶷⶿⷇⷏⷗⷟⸀-⸮⸰-〄〈-〠〰〶〷〽-぀゗゘゛゜゠・㄀-㄄ㄮ-㄰㆏-㆟ㆻ-㇯㈀-㏿䶶-䷿鿍-鿿꒍-꓏꓾꓿꘍-꘏꘬-꘿꙰-꙳꙾Ꚙ-ꚞ꛲-꜖꜠꜡꞉꞊ꞏꞔ-ꞟꞫ-ꟷ꠨-꠿꡴-꡿ꣅ-꣏꣚-꣟꣸-꣺꣼-ꣿ꤮꤯꥔-꥟꥽-꥿꧁-꧎꧚-꧿꨷-꨿꩎꩏꩚-꩟꩷-꩹ꩼ-ꩿ꫃-꫚꫞꫟꫰꫱꫷-꬀꬇꬈꬏꬐꬗-꬟꬧꬯-ꮿ꯫꯮꯯꯺-꯿힤-힯퟇-퟊퟼-﩮﩯﫚-﫿﬇-﬒﬘-﬜﬩﬷﬽﬿﭂﭅﮲-﯒﴾-﵏﶐﶑﷈-﷯﷼-﷿︐-︟︧-︲︵-﹌﹐-﹯﹵﻽-／：-＠［-＾｀｛-･﾿-￁￈￉￐￑￘￙￝-\uffff])|\d)*)))/
],
    conditions: {
  "INITIAL": {
    rules: [
      0,
      1,
      2
    ],
    inclusive: true
  },
  "TAG": {
    rules: [
      0,
      3,
      4,
      5,
      6,
      7,
      8,
      9,
      10
    ],
    inclusive: true
  },
  "LINE": {
    rules: [
      0,
      11,
      12,
      13,
      14,
      15,
      16,
      17,
      18
    ],
    inclusive: true
  },
  "TEXT": {
    rules: [
      0,
      34,
      35,
      36,
      37
    ],
    inclusive: true
  },
  "BLOCK": {
    rules: [
      0,
      38,
      39
    ],
    inclusive: true
  },
  "EXPR": {
    rules: [
      0,
      40,
      41,
      42,
      43,
      44,
      45,
      46,
      47,
      48,
      49,
      50,
      51,
      52,
      53,
      54,
      55,
      56,
      57,
      58,
      59,
      60,
      61,
      62,
      63,
      64,
      65,
      66,
      67,
      68,
      69,
      70,
      71,
      72,
      73,
      74,
      75,
      76,
      77,
      78,
      79,
      80,
      81,
      82,
      83,
      84,
      85,
      86,
      87,
      88,
      89,
      90,
      91,
      92,
      93,
      94,
      95,
      96,
      97,
      98,
      99,
      100,
      101,
      102,
      103,
      104,
      105,
      106,
      107,
      108
    ],
    inclusive: true
  },
  "REGEXP": {
    rules: [
      0,
      109
    ],
    inclusive: true
  },
  "FOR": {
    rules: [
      0,
      19,
      20,
      21,
      22,
      23
    ],
    inclusive: true
  },
  "IMPORT": {
    rules: [
      0,
      24,
      25,
      26,
      27,
      28,
      29,
      30,
      31,
      32,
      33
    ],
    inclusive: true
  }
}
};


const indents = [0];
const current = () => indents[indents.length - 1];
const brackets = [];;

return lexer;
})();
parser.lexer = lexer;

function Parser() {
  this.yy = {};
}
Parser.prototype = parser;
parser.Parser = Parser;

return new Parser();
})();




if (typeof require !== 'undefined' && typeof exports !== 'undefined') {
  exports.parser = index;
  exports.Parser = index.Parser;
  exports.parse = function () {
    return index.parse.apply(index, arguments);
  };

}
